﻿<%@ control language="C#" autoeventwireup="true" inherits="widgets_SearchBox, App_Web_yfhuohop" %>


<script language="javascript" type="text/javascript">

    $(document).ready(function () {

        var search_key = "Search articles";

        $('#search-text').focus(function () { var text = $(this).val(); if (text == search_key) { $(this).attr("value", ""); } });
        $('#search-text').blur(function () { var text = $(this).val(); if (text == "") { $(this).attr("value", search_key); } });

        $('#search-text').keyup(function (e) {
            //alert(e.keyCode);
            if (e.keyCode == 13) {

                var value = $('#search-text').val();
                if (value == search_key)
                    value = "";

                if (value.length < 3) {
                    alert("Insert at least 3 characters.");
                    return;
                }

                window.location.href = "Search.aspx?q=" + encodeURIComponent($(this).val());

            }
        });

        $('#search-button').click(function () {

            var value = $('#search-text').val();

            if (value == search_key)
                value = "";

            if (value.length < 3) {
                alert("Insert at least 3 characters.");
                return;
            }

            window.location.href = "Search.aspx?q=" + encodeURIComponent(value);

        });




    });
    

</script>

<div>
	<input type="text" id="search-text" value="Search articles" class="textbox" />
	<input type="button" id="search-button" value="OK" class="button" />
</div>