﻿<%@ control language="C#" autoeventwireup="true" inherits="z_admin_modules_Articles, App_Web_rukn4ma3" %>

<%@ Register src="RichTextBox.ascx" tagname="RichTextBox" tagprefix="uc" %>

<fieldset>
<legend>Existing Articles</legend>

<table class="sections-table">
<tr>
<td class="section-title" style="width:100px">Article</td>
<td class="section-content"><asp:DropDownList ID="ddlArticles" runat="server" CssClass="textbox" Width="400px" 
    AutoPostBack="true" 
    onselectedindexchanged="ddlArticles_SelectedIndexChanged"></asp:DropDownList>        
</td>
</tr>
</table>

</fieldset>

<fieldset>
<legend>Article properties</legend>
<table class="sections-table">

<tr>
<td class="section-title">Published</td>
<td class="section-content"><asp:CheckBox ID="cbPublished" runat="server" Text="This Article is published" Checked="true" /></td>
</tr>

<tr>
<td class="section-title">Page Heading</td>
<td class="section-content"><asp:TextBox ID="tbHeading" runat="server" CssClass="textbox" MaxLength="255"></asp:TextBox>&nbsp;&nbsp;<i style="font-size:9px">(leave empty for default)</i>
</td>
</tr>

<tr>
<td class="section-title" style="width:100px">Artcle Title</td>
<td class="section-content"><asp:TextBox ID="tboxTitle" runat="server" CssClass="textbox" MaxLength="255"></asp:TextBox></td>
</tr>

<tr>
<td class="section-title">Column</td>
<td class="section-content"><asp:DropDownList ID="ddlColumns" runat="server" CssClass="textbox" ></asp:DropDownList></td>
</tr>

<tr>
<td class="section-title">Date</td>
<td class="section-content"><asp:TextBox ID="tboxDate" runat="server" CssClass="textbox date-picker" Width="150" ></asp:TextBox></td>
</tr>

<tr runat="server" visible="false">
<td class="section-title" valign="top">Thumbnail</td>
<td class="section-content">

<script language="javascript" type="text/javascript">

    $(function () {

        $('#<%=ddlThumbnail.ClientID %>').change(function () {
            var imgSrc = $(this).val();

            $("#article_img_thumbnail").attr("src", "../assets/a/" + imgSrc);
            $("#article_img_thumbnail").css("display", "inline");

            $("#article_img_thumbnail_modal").attr("title", imgSrc);
            $("#article_img_thumbnail_modal").attr("src", "../assets/a/" + imgSrc);

        });

        $('#<%=ddlImage.ClientID %>').change(function () {
            var imgSrc = $(this).val();

            $("#article_img_image").attr("src", "../assets/ad/" + imgSrc);
            $("#article_img_image").css("display", "inline");

            $("#article_img_image_modal").attr("title", imgSrc);
            $("#article_img_image_modal").attr("src", "../assets/ad/" + imgSrc);
        });

    });


</script>


<script language="javascript" type="text/javascript">
    function bindImages() {

        var buttonToClick = '<%=btnBindImages.UniqueID %>';
        //alert(buttonToClick);

        __doPostBack(buttonToClick, "");

        //buttonToClick.click();
    }
</script>

<iframe src="modules/UploadImage.aspx?desiredwidth=80&sessionValue=thumb" width="99%" style="height:120px; display:none" frameborder="0" id="upload-thumbnail-form">
</iframe>

<iframe src="modules/UploadImage.aspx?desiredwidth=415&uploadFolder=assets/ad&sessionValue=image" width="99%" style="height:120px; display:none" frameborder="0" id="upload-image-form">
</iframe>

<table border="0" cellpadding="0" cellspacing="0">
<tr>
<td  valign="top" style="vertical-align:top">
    <asp:DropDownList ID="ddlThumbnail" runat="server" CssClass="textbox"></asp:DropDownList>        
</td>
<td style="padding-left:10px; vertical-align:top" valign="top">
    <img style="display:none" id="article_img_thumbnail_modal" alt="" />
    <img style="display:none; height:40px; cursor:pointer; border-radius:5px;" id="article_img_thumbnail" alt="" height="40px" title="Click to view image in full size" />
</td>
<td style="padding-left:10px; vertical-align:middle" valign="middle">

<a href="#" onclick="$('#upload-thumbnail-form').dialog('destroy'); $('#upload-thumbnail-form').dialog({resizable: false, draggable: false, modal: true, width: 380, height: 250, title: 'Upload thumbnail' }).width(380).height(250); return false;"><img src="icons/upload.png" alt="" title="Upload" /></a>


</td>
</tr>
</table>

</td>
</tr>

<tr>
<td class="section-title">Author</td>
<td class="section-content"><asp:DropDownList ID="ddlAuthor" runat="server" CssClass="textbox"></asp:DropDownList></td>
</tr>

<tr>
<td class="section-title">Author Alias</td>
<td class="section-content"><asp:TextBox ID="tbAlias" runat="server" MaxLength="50" CssClass="textbox"></asp:TextBox></td>
</tr>

<tr>
    <td class="section-title">Show Title</td>
    <td class="section-content"><asp:CheckBox ID="cbShowTitle" runat="server" Checked="true" /></td>
</tr>

<tr>
    <td class="section-title">Show Author</td>
    <td class="section-content"><asp:CheckBox ID="cbShowAuthor" runat="server" Checked="true" /></td>
</tr>

<tr>
    <td class="section-title">Show Date</td>
    <td class="section-content"><asp:CheckBox ID="cbShowDate" runat="server" Checked="true" /></td>
</tr>

</table>
</fieldset>

<asp:PlaceHolder Visible="false" runat="server">
<fieldset>
    <legend>Advanced properties</legend>

    <table class="sections-table">

    <tr>
    <td class="section-title">Title linkable</td>
    <td class="section-content"><asp:CheckBox ID="cbTitleLinkable" runat="server" Checked="true" /></td>
</tr>

    <tr>
        <td class="section-title">&quot;Read more&quot; text</td>
        <td class="section-content"><asp:TextBox ID="tbReadMore" runat="server" CssClass="textbox" MaxLength="30"></asp:TextBox>&nbsp;&nbsp;<i style="font-size:9px">(leave empty for default)</i></td>
    </tr>

    </table>

</fieldset>
</asp:PlaceHolder>

<asp:PlaceHolder ID="phCrap" runat="server" Visible="false">
<h5>Naslovna slika (* kod prikaza detalja članka)</h5>
<table border="0" cellpadding="0" cellspacing="0">
<tr>
<td  valign="top" style="vertical-align:top">
    <asp:DropDownList ID="ddlImage" runat="server" CssClass="textbox" Width="400px" ></asp:DropDownList>        
</td>
<td style="padding-left:10px; vertical-align:top" valign="top">
    <img style="display:none" id="article_img_image_modal" alt="" />
    <img style="display:none; height:40px; cursor:pointer; border-radius:5px;" id="article_img_image" alt="" height="40px" title="Kliknite za pregled slike u punoj veličini" />
</td>
<td style="padding-left:10px; vertical-align:middle" valign="middle">
<a href="#" onclick="$('#upload-image-form').dialog('destroy'); $('#upload-image-form').dialog({resizable: false, draggable: false, modal: true, width: 320, height: 200, title: 'Upload naslovne slike' }); return false;"><img src="icons/upload.png" alt="" title="Upload" /></a>
</td>
</tr>
</table>
</asp:PlaceHolder>

<script language="javascript" type="text/javascript">
    var _article_header_expanded = true;

    function toggle_article_header_expanded() {

        if (_article_header_expanded == true)
            _article_header_expanded = false;
        else
            _article_header_expanded = true;


        $('#article_header').toggle('fast');

        if (_article_header_expanded) {
            $('#article_header_img').attr("src", "icons/collapse_small.png");
            $('#article_header_img').attr("title", "Smanji prikaz grupe");
        }
        else {
            $('#article_header_img').attr("src", "icons/expand_small.png");
            $('#article_header_img').attr("title", "Raširi prikaz grupe");
        }

        return false;
    }


    $(function () {

        $('#<%=ddlThumbnail.ClientID %>').change();

        $('#<%=ddlImage.ClientID %>').change();

        $('#article_img_thumbnail_modal').dialog({ autoOpen: false, resizable: false, draggable: false, modal: true, width: 267, height: 200, title: "Thumbnail" });
        $('#article_img_image_modal').dialog({ autoOpen: false, resizable: false, draggable: false, modal: true, width: 450, height: 338, title: "Naslovna slika" });

        $('#article_img_thumbnail').click(function () {


            $('#article_img_thumbnail_modal').dialog("open");
        });

        $('#article_img_image').click(function () {
            $('#article_img_image_modal').dialog("open");
        });

    });
    </script>

<asp:PlaceHolder ID="phCrap2" runat="server" Visible="false">
<div style="position:relative">
    
    <a href="#" onclick="toggle_article_header_expanded()" style="position:absolute; top:0; right:8px"><img src="icons/collapse_small.png" alt="" id="article_header_img" title="Smanji prikaz grupe" /></a>

    <fieldset>
<legend>
    <h5>Zaglavlje (opcionalno)</h5>
</legend>

<table border="0" cellpadding="2" id="article_header">
<tr style="font-weight:bold">
<td>Naslov</td>
<td>Tekst</td>
<td>
    <a href="#" onclick="if (confirm('Obrisati sve vrijednosti u zaglavlju ?')) {$('table#article_header input').attr('value',''); } return false;"><img src="icons/clear_form_small.png" alt="" title="Obriši formu" /></a>
</td>
</tr>
<tr>
    <td><asp:TextBox ID="tboxKey1" CssClass="textbox" MaxLength="50" runat="server" Width="150" /></td>
    <td><asp:TextBox ID="tboxValue1" CssClass="textbox" MaxLength="500" runat="server" Width="400" /></td>
</tr>
<tr>
    <td><asp:TextBox ID="tboxKey2" CssClass="textbox" MaxLength="50" runat="server" Width="150"  /></td>
    <td><asp:TextBox ID="tboxValue2" CssClass="textbox" MaxLength="500" runat="server" Width="400" /></td>
</tr>
<tr>
    <td><asp:TextBox ID="tboxKey3" CssClass="textbox" MaxLength="50" runat="server" Width="150"  /></td>
    <td><asp:TextBox ID="tboxValue3" CssClass="textbox" MaxLength="500" runat="server" Width="400" /></td>
</tr>
<tr>
    <td><asp:TextBox ID="tboxKey4" CssClass="textbox" MaxLength="50" runat="server" Width="150"  /></td>
    <td><asp:TextBox ID="tboxValue4" CssClass="textbox" MaxLength="500" runat="server" Width="400" /></td>
</tr>
<tr>
    <td><asp:TextBox ID="tboxKey5" CssClass="textbox" MaxLength="50" runat="server" Width="150" /></td>
    <td><asp:TextBox ID="tboxValue5" CssClass="textbox" MaxLength="500" runat="server" Width="400" /></td>
</tr>

<tr>
<td colspan="2" style="padding-top:10px; color:#999; font-size:10px">
Ukoliko ništa od vrijednosti nije unešeno zaglavlje neće biti prikazano.<br />
Neke od mogućnosti formatiranja teksta <strong style="color:#888">(&lt;i&gt;, &lt;b&gt;, &lt;u&gt;):</strong><br />
Primjer: Ovaj <i style="color:#888">&lt;i&gt;tekst je&lt;/i&gt;</i> nakošen<br />
Primjer: Ovaj <b style="color:#888">&lt;b&gt;tekst je&lt;/b&gt;</b> podebljan<br />
Primjer: Ovaj <u style="color:#888">&lt;u&gt;tekst je&lt;/u&gt;</u> potcrtan<br />
Primjer: Ovaj <b style="color:#888"><i>&lt;i&gt;&lt;b&gt;tekst je&lt;/b&gt;&lt;/i&gt;</i></b> nakošen i podebljan<br />
</td>

</tr>

</table>

</fieldset>
</div>

</asp:PlaceHolder>


<fieldset>
<legend>Content Summary</legend>

<asp:TextBox ID="tboxSummary" runat="server" TextMode="MultiLine" Width="600px" Height="140px" CssClass="textbox">
</asp:TextBox>

</fieldset>

<fieldset>
<legend>Content</legend>

<uc:RichTextBox ID="tboxText" runat="server" />

</fieldset>


        
<div id="button-area">
        
<asp:Button ID="btnSave" runat="server" Text="Save Article" CssClass="button" 
        onclick="btnSave_Click" OnClientClick="return confirm('Save existing Article ?');" />

<asp:Button ID="btnAdd" runat="server" Text="Add Article"  CssClass="button" 
        style="margin:0 15px" onclick="btnAdd_Click" OnClientClick="return confirm('Add new Article ?');"  />
        
<asp:Button ID="btnDelete" runat="server" Text="Delete Article" CssClass="button" 
        OnClientClick="return confirm('Delete Article ?');" 
        onclick="btnDelete_Click" />

<asp:Button ID="btnPreview" runat="server" Text="Preview" CssClass="button" 
        style="margin:0 15px" onclick="btnPreview_Click"  />


    <asp:Button ID="btnBindImages" runat="server" Text="Button" style="display:none"
        onclick="btnBindImages_Click"  />

</div>
