﻿<%@ control language="C#" autoeventwireup="true" inherits="z_admin_modules_Columns, App_Web_n5yan1p0" %>


<fieldset>
<legend>Existing Columns</legend>

<table class="sections-table">
<tr>
<td class="section-title" style="width:70px">Column</td>
<td class="section-content">
<table border="0">
<tr>
<td valign="middle" style="vertical-align:middle">
<asp:DropDownList ID="ddlColumns" runat="server" CssClass="textbox" Width="300px" 
    AutoPostBack="true" onselectedindexchanged="ddlColumns_SelectedIndexChanged"></asp:DropDownList>        
</td>

<td valign="middle" style="vertical-align:middle; padding:0 4px">
    <asp:ImageButton ID="btnUp" runat="server" 
        ImageUrl="~/z-admin/icons/up_icon.png" AlternateText="Move Column up" 
        ToolTip="Move Column up" onclick="btnUp_Click" />
</td>

<td valign="middle" style="vertical-align:middle">
    <asp:ImageButton ID="btnDown" runat="server" 
        ImageUrl="~/z-admin/icons/down_icon.png" AlternateText="Move Column down" 
        ToolTip="Move Column down" onclick="btnDown_Click" />
</td>

<td valign="middle" style="vertical-align:middle; padding-left:10px; font-size:9px; color:green">
    <span id="status_message" runat="server" Visible="false">Column order has changed.</span>
</td>


</tr>
</table>

</td>
</tr>
</table>

</fieldset>

<fieldset>
<legend>Column Properties</legend>

<table class="sections-table">
<tr>
<td class="section-title" style="width:70px">Title</td>
<td class="section-content"><asp:TextBox ID="tboxTitle" runat="server" CssClass="textbox" MaxLength="50"></asp:TextBox></td>
</tr>
<tr>
<td class="section-title">Column ID</td>
<td class="section-content"><asp:TextBox ID="tboxID" runat="server" CssClass="textbox" MaxLength="4"></asp:TextBox>&nbsp;&nbsp;<i style="font-size:9px">Must be unique integer (1, 10, 25, etc.)</i></td>
</tr>
<tr>
<td class="section-title">Articles List</td>
<td class="section-content">
<asp:DropDownList ID="ddlArticlesList" runat="server" CssClass="textbox"></asp:DropDownList>&nbsp;&nbsp;<i style="font-size:9px">Note, will ignore defined categories in list</i></td>
</tr>
</table>

</fieldset>


        
<div id="button-area">
        
<asp:Button ID="btnSave" runat="server" Text="Save existing Column" CssClass="button" 
        onclick="btnSave_Click"  OnClientClick="return confirm('Save existing Column ?');" />

<asp:Button ID="btnAdd" runat="server" Text="Add new Column" style="margin:0 15px" 
        CssClass="button" onclick="btnAdd_Click" OnClientClick="return confirm('Add new Column ?');"  />
        
<asp:Button ID="btnDelete" runat="server" Text="Delete Column" CssClass="button" 
        OnClientClick="return confirm('Delete Column ?');" 
        onclick="btnDelete_Click"  />

</div>

<%/* 
<p style="font-size:11px; color:#999">
Notes:<br />
 * deleting <strong style="color:#777">neće se izbrisati</strong> pripadajući članci.<br />
 * promjenom šifre rubrike <strong style="color:#777">automatski će se ažurirati</strong> pripadajući članci.
 
</p> 
*/%>  