﻿<%@ control language="C#" autoeventwireup="true" inherits="z_admin_modules_Comments, App_Web_n5yan1p0" %>


<asp:PlaceHolder ID="phBoxes" runat="server">
<div style="float:right">
    <asp:Button ID="btnComments" runat="server" CssClass="button" 
        Text="Comments ..." onclick="btnComments_Click" />
</div>

<br class="clearer" />

<fieldset>
<legend>Existing Comment Boxes</legend>

<table class="sections-table">
<tr>
<td class="section-title" style="width:100px">Box</td>
<td class="section-content"><asp:DropDownList ID="ddlDescriptor" runat="server" 
        CssClass="textbox" AutoPostBack="true" 
        onselectedindexchanged="ddlDescriptor_SelectedIndexChanged"></asp:DropDownList></td>
</tr>
</table>

</fieldset>

<fieldset>
<legend>Box properties</legend>

<table class="sections-table">
<tr>
    <td class="section-title" style="width:100px">Name</td>
    <td class="section-content"><asp:TextBox ID="tbName" runat="server" CssClass="textbox" MaxLength="50"></asp:TextBox> &nbsp;<i style="font-size:9px">(unique name)</i></td>
</tr>

<tr>
    <td class="section-title">Bind to Article</td>
    <td class="section-content"><asp:CheckBox ID="cbBindArticle" runat="server" Text="Bind Comment Box to Article" /></td>
</tr>

<tr>
    <td class="section-title">Avatar size</td>
    <td class="section-content"><asp:DropDownList ID="ddlAvatar" runat="server" CssClass="textbox" Width="80">
        <asp:ListItem Value="32">32 px</asp:ListItem>
        <asp:ListItem Value="48">48 px</asp:ListItem>
        <asp:ListItem Value="60">60 px</asp:ListItem>
        </asp:DropDownList></td>
</tr>

<tr>
    <td class="section-title">Display Avatar</td>
    <td class="section-content"><asp:CheckBox ID="cbThumbnail" runat="server" Text="Show Thumbnail" /></td>
</tr>

<tr>
    <td class="section-title">Default Avatar</td>
    <td class="section-content"><asp:DropDownList ID="ddlDefaultAvatar" runat="server" CssClass="textbox" Width="200">
        <asp:ListItem Value="Images/DefaultAvatar.png">Default (Images/DefaultAvatar.png)</asp:ListItem>
        <asp:ListItem Value="g">Gravatar</asp:ListItem>
        <asp:ListItem Value="mm">Mystery-Man</asp:ListItem>
        <asp:ListItem Value="identicon">Identicon</asp:ListItem>
        <asp:ListItem Value="monsterid">Monster ID</asp:ListItem>
        <asp:ListItem Value="wavatar">Wavatar</asp:ListItem>
        <asp:ListItem Value="retro">Retro</asp:ListItem>
        </asp:DropDownList></td>
</tr>

<tr>
    <td class="section-title">Page size</td>
    <td class="section-content"><asp:DropDownList ID="ddlPageSize" runat="server" CssClass="textbox" Width="80">
        <asp:ListItem>8</asp:ListItem>
        <asp:ListItem>10</asp:ListItem>
        <asp:ListItem>12</asp:ListItem>
        <asp:ListItem>14</asp:ListItem>
        <asp:ListItem>16</asp:ListItem>
        <asp:ListItem>18</asp:ListItem>
        <asp:ListItem>20</asp:ListItem>
        <asp:ListItem>22</asp:ListItem>
        <asp:ListItem>24</asp:ListItem>
        <asp:ListItem>26</asp:ListItem>
        <asp:ListItem>28</asp:ListItem>
        <asp:ListItem>30</asp:ListItem>
        <asp:ListItem>50</asp:ListItem>
        <asp:ListItem>100</asp:ListItem>
        </asp:DropDownList></td>
</tr>

<tr>
    <td class="section-title">E-mail text</td>
    <td class="section-content"><asp:TextBox ID="tbEmailText" runat="server" CssClass="textbox" MaxLength="100"></asp:TextBox> &nbsp;<i style="font-size:9px">(leave empty for default)</i></td>
</tr>

<tr>
    <td class="section-title">Name text</td>
    <td class="section-content"><asp:TextBox ID="tbNameText" runat="server" CssClass="textbox" MaxLength="100"></asp:TextBox> &nbsp;<i style="font-size:9px">(leave empty for default)</i></td>
</tr>

<tr>
    <td class="section-title">Button text</td>
    <td class="section-content"><asp:TextBox ID="tbButtonText" runat="server" CssClass="textbox" MaxLength="100"></asp:TextBox> &nbsp;<i style="font-size:9px">(leave empty for default)</i></td>
</tr>


</table>


</fieldset>

<fieldset>
    <legend>BB Codes</legend>
    <table class="sections-table">
    <tr>
        <td class="section-title" style="width:100px">BB Codes</td>
        <td class="section-content"><asp:CheckBox ID="cbEnabledBBCodes" runat="server" Text="Enable BB Codes" /> &nbsp;<i style="font-size:9px">([b], [i], [center], [size], [color], etc.)</i></td>
    </tr>

    <tr>
        <td class="section-title" valign="top">Description</td>
        <td class="section-content"><asp:TextBox ID="tbBBDescription" runat="server" CssClass="textbox" Rows="4" TextMode="MultiLine"></asp:TextBox></td>
    </tr>

    <tr>
        <td class="section-title" valign="top">Properties</td>
        <td class="section-content">
        
            <asp:CheckBoxList runat="server" ID="cbBBCodesFormatting" runat="server">
                <asp:ListItem>Format [Color]</asp:ListItem>
                <asp:ListItem>Format [Size]</asp:ListItem>
                <asp:ListItem>Format [Align]</asp:ListItem>
                <asp:ListItem>Format [Url]</asp:ListItem>
                <asp:ListItem>Format [Img]</asp:ListItem>
                <asp:ListItem>Format [List]</asp:ListItem>
                <asp:ListItem>Format [H1], [H2], ...</asp:ListItem>
                <asp:ListItem>Format [Hr]</asp:ListItem>
                <asp:ListItem>Format [Quote]</asp:ListItem>
                <asp:ListItem>Format Video (youtube, metacafe, etc.)</asp:ListItem>
                <asp:ListItem>Format [Google]</asp:ListItem>
                <asp:ListItem>Format [Wikipedia]</asp:ListItem>
            
            </asp:CheckBoxList>
        
        </td>
    </tr>
    </table>
</fieldset>

<fieldset>
<legend>Bad Words</legend>

<table class="sections-table">
<tr>
    <td class="section-title" style="width:100px">Filter</td>
    <td class="section-content">
    
        <asp:CheckBox ID="cbFilterBadWords" runat="server" Checked="true" Text="Filter Bad Words in comments" />

    </td>
</tr>

<tr>
    <td class="section-title" style="width:100px">Replace</td>
    <td class="section-content">
    
        <asp:TextBox ID="tbFilterBadWords" runat="server" CssClass="textbox" Text="(censored)" /> &nbsp;<i style="font-size:9px">(Bad Words filter must be enabled)</i>

    </td>
</tr>

</table>
</fieldset>

<fieldset>
    <legend>Anti Spam</legend>

    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:100px">E-mail check</td>
    <td class="section-content"><asp:CheckBox ID="cbUseStopForumSpam" runat="server" Text="Use Anti Spam protection database" Checked="true" /></td>
    </tr>
    </table>
</fieldset>

<div class="info-area">
Note, Anti Spam protection is using API from <a href="http://www.stopforumspam.com/" target="_blank">StopForumSpam.com</a> web site.
</div>

<div id="button-area">

<asp:Button ID="btnSave" runat="server" Text="Save Box" CssClass="button" 
        OnClientClick="return confirm('Save existing Comment Box ?');" 
        onclick="btnSave_Click" />

<asp:Button ID="btnAdd" runat="server" Text="Add Box" style="margin:0 15px" 
        CssClass="button" OnClientClick="return confirm('Add new Comment Box ?');" 
        onclick="btnAdd_Click"  />
        
<asp:Button ID="btnDelete" runat="server" Text="Delete Box" CssClass="button" 
        OnClientClick="return confirm('Delete Comment Box ?');" 
        onclick="btnDelete_Click"  />

</div>

</asp:PlaceHolder>

<asp:PlaceHolder ID="phComments" runat="server" Visible="false">
<div style="float:right">
    <asp:Button ID="btnBoxes" runat="server" CssClass="button" 
        Text="Boxes ..." onclick="btnBoxes_Click" />
</div>

<br class="clearer" />

<fieldset>
<legend>Comments (showing 100 latest)</legend>

<asp:Repeater ID="repComments" runat="server" 
        onitemcommand="repComments_ItemCommand">
<HeaderTemplate>
    <table border="1" style="border-collapse:collapse" cellpadding="3">
    <tr style="font-weight:bold">
    <td></td>
    <td>Name</td>
    <td>Text</td>
    <td>Date</td>
    <td>Box</td>
    </tr>
</HeaderTemplate>
<FooterTemplate>
    <tr>
    <td colspan="5" style="padding-top:20px; padding-bottom:20px; text-align:center">
    
    <table border="0" width="100%">
    <tr>
    <td align="left">

        <%=GetPager() %>
    
    </td>
    <td align="right">
        <asp:Button ID="btnDelete" runat="server" CssClass="button" Text="Delete Comments" CommandName="delete" OnClientClick="return confirm('Delete selected comments ?');" />
    </td>
    </tr>
    </table>
    
    </td>
    </tr>
    </table>
</FooterTemplate>
<ItemTemplate>
    <tr style="background-color:#fff">
    <td><asp:CheckBox ID="cbSelect" runat="server" /><asp:Label runat="server" Visible="false" Text='<%#Eval("ID").ToString().Trim() %>'></asp:Label></td>
    <td><%#Eval("d_name") %></td>
    <td><%#Eval("d_text") %></td>
    <td><%#Eval("d_date") %></td>
    <td><%#Eval("d_box") %></td>
    </tr>
</ItemTemplate>
<AlternatingItemTemplate>
    <tr style="background-color:#efefef">
    <td><asp:CheckBox ID="cbSelect" runat="server" /><asp:Label ID="Label1" runat="server" Visible="false" Text='<%#Eval("ID").ToString().Trim() %>'></asp:Label></td>
    <td><%#Eval("d_name") %></td>
    <td><%#Eval("d_text") %></td>
    <td><%#Eval("d_date") %></td>
    <td><%#Eval("d_box") %></td>
    </tr>
</AlternatingItemTemplate>

</asp:Repeater>



</fieldset>


</asp:PlaceHolder>