﻿<%@ control language="C#" autoeventwireup="true" inherits="z_admin_modules_Contacts, App_Web_rukn4ma3" %>

<%@ Register src="RichTextBox.ascx" tagname="RichTextBox" tagprefix="uc" %>

<asp:PlaceHolder ID="phContacts" runat="server">

<div style="float:right">
    <asp:Button ID="btnCategories" runat="server" CssClass="button" 
        Text="Categories ..." onclick="btnCategories_Click" style="margin-right:10px" />

    <asp:Button ID="btnContactForm1" runat="server" CssClass="button" 
        Text="Contact Form ..." onclick="btnContactForm_Click"/>

</div>

<br class="clearer" />

<fieldset>
    <legend>Existing Contacts</legend>

    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:100px">Name</td>
    <td class="section-content">
        <asp:DropDownList ID="ddlContact" runat="server" CssClass="textbox" 
            AutoPostBack="true" onselectedindexchanged="ddlContact_SelectedIndexChanged"></asp:DropDownList>
    </td>
    </tr>
    </table>
</fieldset>

<fieldset>
    <legend>Contact properties</legend>
    <div style="max-height:215px; overflow:auto;">
    
    <script language="javascript" type="text/javascript">
        function showPreview() {

            var elm = document.getElementById('<%=ddlImage.ClientID %>');
            var elmVal = elm.options[elm.selectedIndex].value;

            var path = "../assets/contacts/" + elmVal;
            window.open(path, "");

        }
    </script>
    
    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:100px">Name</td>
    <td class="section-content"><asp:TextBox ID="tbName" runat="server" CssClass="textbox" MaxLength="50"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Alias</td>
    <td class="section-content"><asp:TextBox ID="tbAlias" runat="server" CssClass="textbox" MaxLength="100"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Category</td>
    <td class="section-content"><asp:DropDownList ID="ddlCategory" runat="server" CssClass="textbox"></asp:DropDownList></td>
    </tr>

    <tr>
    <td class="section-title">Published</td>
    <td class="section-content"><asp:CheckBox ID="cbPublished" runat="server" /></td>
    </tr>

    <tr>
    <td class="section-title">Image</td>
    <td class="section-content"><asp:DropDownList ID="ddlImage" runat="server" CssClass="textbox"></asp:DropDownList></td>
    <td style="padding-left:10px"><input type="button" value="Preview" class="button" style="font-size:11px" onclick="showPreview();" /></td>
    </tr>

    <tr>
    <td class="section-title">Position</td>
    <td class="section-content"><asp:TextBox ID="tbPosition" runat="server" CssClass="textbox" MaxLength="50"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">E-mail</td>
    <td class="section-content"><asp:TextBox ID="tbEmail" runat="server" CssClass="textbox" MaxLength="100"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">E-mail visible</td>
    <td class="section-content"><asp:CheckBox ID="cbShowEmail" runat="server" /></td>
    </tr>

    <tr>
    <td class="section-title" valign="top">Address</td>
    <td class="section-content" valign="top"><asp:TextBox ID="tbAddress" runat="server" CssClass="textbox" TextMode="MultiLine" Rows="5"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">City</td>
    <td class="section-content"><asp:TextBox ID="tbCity" runat="server" CssClass="textbox" MaxLength="50"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">State</td>
    <td class="section-content"><asp:TextBox ID="tbState" runat="server" CssClass="textbox" MaxLength="50"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Postal</td>
    <td class="section-content"><asp:TextBox ID="tbPostal" runat="server" CssClass="textbox" MaxLength="50"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Country</td>
    <td class="section-content"><asp:TextBox ID="tbCountry" runat="server" CssClass="textbox" MaxLength="100"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Telephone</td>
    <td class="section-content"><asp:TextBox ID="tbTelephone" runat="server" CssClass="textbox" MaxLength="50"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Fax</td>
    <td class="section-content"><asp:TextBox ID="tbFax" runat="server" CssClass="textbox" MaxLength="50"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Skype</td>
    <td class="section-content"><asp:TextBox ID="tbSkype" runat="server" CssClass="textbox" MaxLength="50"></asp:TextBox></td><td>&nbsp;&nbsp;<i style="font-size:10px">(Enter your Skype Name)</i></td>
    </tr>

    <tr>
    <td class="section-title">Twitter</td>
    <td class="section-content"><asp:TextBox ID="tbTwitter" runat="server" CssClass="textbox" MaxLength="50"></asp:TextBox></td><td>&nbsp;&nbsp;<i style="font-size:10px">(Enter your Twitter Name)</i></td>
    </tr>

    <tr>
    <td class="section-title">Facebook</td>
    <td class="section-content"><asp:TextBox ID="tbFacebook" runat="server" CssClass="textbox" MaxLength="500"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Linkedin</td>
    <td class="section-content"><asp:TextBox ID="tbLinkedin" runat="server" CssClass="textbox" MaxLength="500"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Website</td>
    <td class="section-content"><asp:TextBox ID="tbWebsite" runat="server" CssClass="textbox" MaxLength="500"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Contact Form</td>
    <td class="section-content"><asp:CheckBox ID="cbContactForm" runat="server" Text="Show Contact Form" Font-Size="11px" /></td>
    </tr>

    </table>

    </div>
</fieldset>

<fieldset>
    <legend>Contact Other Info</legend>
    <uc:RichTextBox ID="tbOther" runat="server" AddModulesVisible="false" />
</fieldset>

<fieldset>
    <legend>Sorting (optional values)</legend>
    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:100px">Sort1 Value</td>
    <td class="section-content"><asp:TextBox ID="tbSort1" runat="server" CssClass="textbox" MaxLength="50"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title" style="width:100px">Sort2 Value</td>
    <td class="section-content"><asp:TextBox ID="tbSort2" runat="server" CssClass="textbox" MaxLength="50"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title" style="width:100px">Sort3 Value</td>
    <td class="section-content"><asp:TextBox ID="tbSort3" runat="server" CssClass="textbox" MaxLength="50"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title" style="width:100px">Date</td>
    <td class="section-content"><asp:TextBox ID="tbDate" runat="server" CssClass="textbox date-picker" Width="150"></asp:TextBox></td>
    </tr>

    </table>
</fieldset>

<div  id="button-area">
    <asp:Button ID="btnSave" runat="server" Text="Save Contact" 
        OnClientClick="return confirm('Save changes on existing Contact ?');" 
        CssClass="button" onclick="btnSave_Click" />

    <asp:Button ID="btnAdd" runat="server" Text="Add Contact" 
        OnClientClick="return confirm('Add new Contact ?');" style="margin:0 10px" 
        CssClass="button" onclick="btnAdd_Click" />

    <asp:Button ID="btnDelete" runat="server" Text="Delete Contact" 
        OnClientClick="return confirm('Delete Contact ?');" CssClass="button" 
        onclick="btnDelete_Click" />
</div>

</asp:PlaceHolder>

<asp:PlaceHolder ID="phCategories" runat="server">
<div style="float:right">
    <asp:Button ID="btnContacts" runat="server" CssClass="button" 
        Text="Contacts ..." onclick="btnContacts_Click" style="margin-right:10px" />

    <asp:Button runat="server" CssClass="button" 
        Text="Contact Form ..." onclick="btnContactForm_Click"/>
</div>

<br class="clearer" />

<fieldset>
    <legend>Existing Categories</legend>
    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:100px">Name</td>
    <td class="section-content"><asp:DropDownList ID="ddlCatCategory" runat="server" 
            CssClass="textbox" AutoPostBack="true" 
            onselectedindexchanged="ddlCatCategory_SelectedIndexChanged"></asp:DropDownList></td>
    </tr>
    </table>
</fieldset>

<fieldset>
<legend>Category Properties</legend>
    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:100px">Name</td>
    <td class="section-content"><asp:TextBox ID="tbCatName" runat="server" MaxLength="50" CssClass="textbox"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">E-mail text</td>
    <td class="section-content"><asp:TextBox ID="tbCatEmail" runat="server" MaxLength="50" CssClass="textbox"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Format E-mail</td>
    <td class="section-content"><asp:CheckBox ID="cbFormatEmail" runat="server" /></td><td>&nbsp;&nbsp;<i style="font-size:10px">If checked, e-mail address will be formatted as link</i></td>
    </tr>

    <tr>
    <td class="section-title">Address text</td>
    <td class="section-content"><asp:TextBox ID="tbCatAddress" runat="server" MaxLength="50" CssClass="textbox"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">City text</td>
    <td class="section-content"><asp:TextBox ID="tbCatCity" runat="server" MaxLength="50" CssClass="textbox"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">State text</td>
    <td class="section-content"><asp:TextBox ID="tbCatState" runat="server" MaxLength="50" CssClass="textbox"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Postal text</td>
    <td class="section-content"><asp:TextBox ID="tbCatPostal" runat="server" MaxLength="50" CssClass="textbox"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Country text</td>
    <td class="section-content"><asp:TextBox ID="tbCatCountry" runat="server" MaxLength="50" CssClass="textbox"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Telephone text</td>
    <td class="section-content"><asp:TextBox ID="tbCatPhone" runat="server" MaxLength="50" CssClass="textbox"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Fax text</td>
    <td class="section-content"><asp:TextBox ID="tbCatFax" runat="server" MaxLength="50" CssClass="textbox"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Website text</td>
    <td class="section-content"><asp:TextBox ID="tbCatWebsite" runat="server" MaxLength="50" CssClass="textbox"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Format Website</td>
    <td class="section-content"><asp:CheckBox ID="cbFormatWebsite" runat="server" /></td><td>&nbsp;&nbsp;<i style="font-size:10px">If checked, webiste address will be formatted as link</i></td>
    </tr>

    </table>

</fieldset>

<div id="button-area">
    <asp:Button ID="btnSaveCategory" runat="server" Text="Save Category" 
        OnClientClick="return confirm('Save changes on existing Category ?');" 
        CssClass="button" onclick="btnSaveCategory_Click"/>

    <asp:Button ID="btnAddCategory" runat="server" Text="Add Category" 
        OnClientClick="return confirm('Add new Category ?');" style="margin:0 10px" 
        CssClass="button" onclick="btnAddCategory_Click" />

    <asp:Button ID="btnDeleteCategory" runat="server" Text="Delete Category" 
        OnClientClick="return confirm('Delete Category ?');" CssClass="button" 
        onclick="btnDeleteCategory_Click" />
</div>

</asp:PlaceHolder>

<asp:PlaceHolder ID="phContactForm" runat="server">

<div style="float:right">
    <asp:Button ID="btnCategories2" runat="server" CssClass="button" 
        Text="Categories" onclick="btnCategories_Click" style="margin-right:10px" />

    <asp:Button ID="btnContacts2" runat="server" CssClass="button" 
        Text="Contacts ..." onclick="btnContacts_Click" />

</div>

<br class="clearer" />

<fieldset>
    <legend>Contact Form configuration</legend>

<table class="sections-table">
<tr>
<td class="section-title">Name Label</td>
<td class="section-content"><asp:TextBox ID="tbCFName" runat="server" MaxLength="50" CssClass="textbox"></asp:TextBox></td>
</tr>    

<tr>
<td class="section-title">E-Mail Label</td>
<td class="section-content"><asp:TextBox ID="tbCFEmail" runat="server" MaxLength="50" CssClass="textbox"></asp:TextBox></td>
</tr>    

<tr>
<td class="section-title">Subject Label</td>
<td class="section-content"><asp:TextBox ID="tbCFSubject" runat="server" MaxLength="50" CssClass="textbox"></asp:TextBox></td>
</tr>    

<tr>
<td class="section-title">Message Label</td>
<td class="section-content"><asp:TextBox ID="tbCFMessage" runat="server" MaxLength="50" CssClass="textbox"></asp:TextBox></td>
</tr>    

<tr>
<td class="section-title">Button Label</td>
<td class="section-content"><asp:TextBox ID="tbCFButton" runat="server" MaxLength="50" CssClass="textbox"></asp:TextBox></td>
</tr>    

<tr>
<td class="section-title" valign="top">Banned E-Mails</td>
<td class="section-content"><asp:TextBox ID="tbCFBannedEmails" runat="server" CssClass="textbox" TextMode="MultiLine" Rows="5"></asp:TextBox></td>
<td valign="bottom">&nbsp;&nbsp;<i style="font-size:10px">Use semicolon for word separator 
    ( ; )</i></td>
</tr>    

<tr>
<td class="section-title" valign="top">Banned words in Subject</td>
<td class="section-content"><asp:TextBox ID="tbCFBannedSubjects" runat="server" CssClass="textbox" TextMode="MultiLine" Rows="5"></asp:TextBox></td>
<td valign="bottom">&nbsp;&nbsp;<i style="font-size:10px">Use semicolon for word separator 
    ( ; )</i></td></tr>    

<tr>
<td class="section-title" valign="top">Banned words in Message</td>
<td class="section-content"><asp:TextBox ID="tbCFBannedMessages" runat="server" CssClass="textbox" TextMode="MultiLine" Rows="8"></asp:TextBox></td>
<td valign="bottom">&nbsp;&nbsp;<i style="font-size:10px">Use semicolon for word separator 
    ( ; )</i></td></tr>    

<tr>
<td class="section-title">E-Mail Check</td>
<td class="section-content">
    <asp:CheckBox ID="cbEmailCheck" runat="server" Font-Size="11px" Text="Use Anti Spam protection database" />
</td>
</tr>
</table>

</fieldset>

<div class="info-area">
Note, Anti Spam protection is using API from <a href="http://www.stopforumspam.com/" target="_blank">StopForumSpam.com</a> web site.
</div>

<div id="button-area">
<asp:Button ID="btnSaveContactForm" runat="server" Text="Save" 
        onclick="btnSaveContactForm_Click" CssClass="button" />
</div>

</asp:PlaceHolder>
