﻿<%@ control language="C#" autoeventwireup="true" inherits="z_admin_modules_DynamicText, App_Web_rukn4ma3" %>
<%@ Register Src="~/z-admin/modules/SyntaxHighlighter.ascx" TagName="Highlighter" TagPrefix="uc" %>

<fieldset>
    <legend>Existing Dynamic Text</legend>

    <table class="sections-table" >
    <tr>
    <td class="section-title" style="width:80px">Name</td>
    <td class="section-content"><asp:DropDownList id="ddlText" runat="server" 
            CssClass="textbox" AutoPostBack="true" 
            onselectedindexchanged="ddlText_SelectedIndexChanged"></asp:DropDownList></td>
    </tr>
    </table>

</fieldset>

<fieldset>
    <legend>Dynamic Text Properties</legend>

    <table class="sections-table">
    
    <tr>
    <td class="section-title" style="width:80px">Name</td>
    <td class="section-content"><asp:TextBox ID="tbName" runat="server" MaxLength="40" CssClass="textbox"></asp:TextBox></td>
    </tr>

    <tr>
        <td class="section-title">Caching</td>
        <td class="section-content"><asp:DropDownList ID="ddlCache" runat="server" CssClass="textbox">
            <asp:ListItem Value="0">No caching</asp:ListItem>
            <asp:ListItem Value="30">30 seconds</asp:ListItem>
            <asp:ListItem Value="60">1 minute</asp:ListItem>
            <asp:ListItem Value="300">5 minutes</asp:ListItem>
            <asp:ListItem Value="600">10 minutes</asp:ListItem>
            <asp:ListItem Value="900">15 minutes</asp:ListItem>
            <asp:ListItem Value="1800">30 minutes</asp:ListItem>
            <asp:ListItem Value="3600">1 hour</asp:ListItem>
            <asp:ListItem Value="7200">2 hours</asp:ListItem>
            </asp:DropDownList></td>
    </tr>

    </table>

</fieldset>

<fieldset>
    <legend>C# Code</legend>

    <uc:Highlighter runat="server" ID="tbCode" Hightlighter="csharp" LineNumbers="true" />

</fieldset>

<div id="button-area">

<asp:Button ID="btnSave" runat="server" Text="Save Dynamic Text" CssClass="button" 
OnClientClick="return confirm('Save changes on selected Dynamic Text ?');" 
        onclick="btnSave_Click" />

<asp:Button ID="btnAdd" runat="server" Text="Add new Dynamic Text" style="margin:0 15px" 
        CssClass="button" 
        OnClientClick="return confirm('Add new Dynamic Text ?');" 
        onclick="btnAdd_Click" />
        
<asp:Button ID="btnDelete" runat="server" Text="Delete Dynamic Text" CssClass="button" 
        OnClientClick="return confirm('Delete Dynamic Text ?');" 
        onclick="btnDelete_Click" />

<asp:Button ID="btnPreview" runat="server" Text="Preview Dynamic Text" 
        CssClass="button" style="margin:0 15px" onclick="btnPreview_Click"  />

</div>
