﻿<%@ control language="C#" autoeventwireup="true" inherits="z_admin_modules_ExtenderManager, App_Web_n5yan1p0" %>

<fieldset>
    <legend>Existing Extenders</legend>

    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:80px">Title</td>
    <td class="section-content"><asp:DropDownList ID="ddlExtender" runat="server" AutoPostBack="true" 
            CssClass="textbox" onselectedindexchanged="ddlExtender_SelectedIndexChanged"></asp:DropDownList></td>
    </tr>
    </table>
</fieldset>

<fieldset>
    <legend>Extender properties</legend>

    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:80px">Title</td>
    <td class="section-content"><asp:TextBox ID="tbName" runat="server" CssClass="textbox" MaxLength="40"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title" valign="top">Description</td>
    <td class="section-content"><asp:TextBox ID="tbDescription" runat="server" CssClass="textbox" TextMode="MultiLine" Rows="3"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Disabled</td>
    <td class="section-content"><asp:CheckBox ID="cbDisabled" runat="server" Text="This extender is disabled" /></td>
    </tr>

    <tr>
    <td class="section-title">ASCX</td>
    <td class="section-content">
    
    <iframe src="modules/UploadExtender.aspx" width="99%" style="height:120px; display:none" frameborder="0" id="upload-ascx-form">
    </iframe>

    <table border="0" cellpadding="0" cellspacing="0">
    <tr>
    <td  valign="top" style="vertical-align:top">
        <asp:DropDownList ID="ddlAscx" runat="server" CssClass="textbox"></asp:DropDownList>        
    </td>
    <td style="padding-left:10px; vertical-align:middle" valign="middle">

    <a href="#" onclick="$('#upload-ascx-form').dialog('destroy'); $('#upload-ascx-form').dialog({resizable: false, draggable: false, modal: true, width: 450, height: 280, title: 'Upload ASCX' }).width(450).height(280); return false;"><img src="icons/upload.png" alt="" title="Upload" /></a>


    </td>
    </tr>
    </table>
    
    </td>
    </tr>

    </table>

</fieldset>

<script language="javascript" type="text/javascript">

    function bindExtenders() {

        var buttonToClick = '<%=btnExtenders.UniqueID %>';

        __doPostBack(buttonToClick, "");

    }

</script>


<div id="button-area">
    <asp:Button ID="btnSave" runat="server" Text="Save Extender" CssClass="button" 
        OnClientClick="return confirm('Save existing Extender ?');" 
        onclick="btnSave_Click" />

    <asp:Button ID="btnAdd" runat="server" Text="Add Extender" CssClass="button" 
        OnClientClick="return confirm('Add new Extender ?');" style="margin:0 10px" 
        onclick="btnAdd_Click" />

    <asp:Button ID="btnDelete" runat="server" Text="Delete Extender" 
        CssClass="button" OnClientClick="return confirm('Delete Extender and ASCX file ?');" 
        onclick="btnDelete_Click" />

    <asp:Button ID="btnExtenders" runat="server" onclick="btnExtenders_Click" style="display:none" />


</div>