﻿<%@ control language="C#" autoeventwireup="true" inherits="z_admin_modules_FileManager, App_Web_n5yan1p0" %>


<script language="javascript" type="text/javascript">

    var dialogWindow = null;

    function showMoveFilesDialog() {

        dialogWindow = window.open("Modules/FileManager/FolderBrowse.aspx?mode=move", "", "width=500, height=530");

    }

    function showCopyFilesDialog() {

        dialogWindow = window.open("Modules/FileManager/FolderBrowse.aspx?mode=copy", "", "width=500, height=530");

    }

    function showUploadFilesDialog(directory) {

        dialogWindow = window.open("Modules/FileManager/UploadFiles.aspx?dir=" + encodeURIComponent(directory), "", "width=500, height=300");

    }

    function createFolder(parentFolder) {
        var name = window.prompt("Enter a Folder name to create in folder (" + parentFolder + ")", "");
        if (name != null) {
            __doPostBack('<%=btnAction.UniqueID %>', "CREATE_FOLDER;" + name);
        }
    }

    function deleteFiles() {

        if (window.confirm("Delete selected files ?"))
            __doPostBack('<%=btnAction.UniqueID %>', "DELETE");

    }

    function deleteFolder(folderName) {

        if (window.confirm("Delete selected folder (" + folderName + ") ?"))
            __doPostBack('<%=btnAction.UniqueID %>', "DELETE_FOLDER");

    }

    function zipFiles() {

        var name = window.prompt("Enter ZIP name (without .ZIP extension)");
        if (name != null)
            __doPostBack('<%=btnAction.UniqueID %>', "ZIP_FILES;" + name);

    }

    function dialogAction() {

        if (dialogWindow != null)
            dialogWindow.close();

        __doPostBack('<%=btnAction.UniqueID %>', "DIALOG_ACTION");

    }

    </script>

    <script language="javascript" type="text/javascript">

        $().ready(function () {
            $("#splitter-area").splitter({ sizeLeft: true, cookie: "splitter_width" });
        });

    </script>


    <div id="splitter-area" style="height:600px">
    <div style="height:600px; overflow:auto; width:200px" id="folder-choose">

    <asp:TreeView ID="TreeView1" runat="server" Width="100%" 
            onselectednodechanged="TreeView1_SelectedNodeChanged" >
        <NodeStyle ForeColor="#666666" HorizontalPadding="5px" 
            ImageUrl="~/images/icons/folder_small.gif" NodeSpacing="2px" />
        <SelectedNodeStyle Font-Bold="True" ForeColor="Black" />
        </asp:TreeView>

    </div>
    
    
    <div style="height:600px; overflow:auto" id="file-choose">
    
    <asp:GridView ID="GridView1" runat="server" AllowSorting="True" CellPadding="4" 
            Font-Size="11px" Width="100%" GridLines="Horizontal" onsorted="GridView1_Sorted" 
            onsorting="GridView1_Sorting" AutoGenerateColumns="False" 
            ShowHeaderWhenEmpty="True" BackColor="White" BorderColor="#336666" 
            BorderStyle="Double" BorderWidth="3px">
            <Columns>
                <asp:TemplateField>
                <ItemTemplate>
                <asp:CheckBox runat="server" ID="cbCheck" />
                </ItemTemplate>
                
                    <HeaderStyle Width="16px" />
                
                </asp:TemplateField>

                <asp:TemplateField>
                    <ItemTemplate>
                    <img alt="" src='../images/icons/<%#Eval("icon") %>.png' />
                    </ItemTemplate>
                    <HeaderStyle Width="16px" />
                </asp:TemplateField>

                <asp:BoundField DataField="filename" HeaderText="Filename" HtmlEncode="false"
                    SortExpression="Filename">
                <HeaderStyle HorizontalAlign="Left" Width="200px" />
                <ItemStyle Width="200px" />
                </asp:BoundField>
                
                <asp:BoundField DataField="ext" HeaderText="Extension" SortExpression="ext" HtmlEncode="false">
                <HeaderStyle HorizontalAlign="Left" />
                </asp:BoundField>

                <asp:BoundField HeaderText="Size" HtmlEncode="false" SortExpression="size" DataField="size_display">
                <HeaderStyle HorizontalAlign="Right"></HeaderStyle>
                                <ItemStyle HorizontalAlign="Right" />
                </asp:BoundField>
                
                <asp:BoundField DataField="created" HeaderText="Created" HtmlEncode="false" 
                    SortExpression="Created">
                <HeaderStyle HorizontalAlign="Right" Width="100px" />
                <HeaderStyle HorizontalAlign="Right" />
                <ItemStyle HorizontalAlign="Right" />
                </asp:BoundField>

                <asp:BoundField DataField="atts" HeaderText="Attributes" HtmlEncode="false" SortExpression="atts" >
                <HeaderStyle HorizontalAlign="Left" />
                </asp:BoundField>

                <asp:TemplateField HeaderText="*">
                <ItemTemplate>
                <a href="#" onclick='<%#Eval("rename_event").ToString().Replace("'","\"") %>'><%#Eval("Rename").ToString().Trim() %></a>
                |
                <a target="_blank" href='<%#Eval("open_event").ToString().Replace("'","\"") %>'><%#Eval("Open").ToString().Trim() %></a>
                |
                <a target="_blank" href='<%#Eval("download_event").ToString().Replace("'","\"") %>'><%#Eval("Download").ToString().Trim() %></a>
                </ItemTemplate>
                    <HeaderStyle HorizontalAlign="Left" />
                </asp:TemplateField>

            </Columns>

            <FooterStyle BackColor="White" ForeColor="#333333" />
            <HeaderStyle BackColor="#336666" Font-Bold="True" ForeColor="White" />
            <PagerStyle BackColor="#336666" ForeColor="White" HorizontalAlign="Center" />
            <RowStyle BackColor="White" ForeColor="#333333" />
            <SelectedRowStyle BackColor="#339966" Font-Bold="True" ForeColor="White" />
            <SortedAscendingCellStyle BackColor="#F7F7F7" />
            <SortedAscendingHeaderStyle BackColor="#487575" />
            <SortedDescendingCellStyle BackColor="#E5E5E5" />
            <SortedDescendingHeaderStyle BackColor="#275353" />
        </asp:GridView>

    </div>
    
    </div>

    

    <div style="clear:both"></div>

<div id="button-area">
    
    <asp:Button ID="btnAction" runat="server" Text="Action handler button" 
        onclick="btnAction_Click" style="display:none" CssClass="button" />

    <input type="button" style="width:80px" value="Move ..." onclick="showMoveFilesDialog();" class="button" />

    <input type="button" style="width:80px" value="Copy ..." onclick="showCopyFilesDialog();"  class="button"/>

    <input type="button" style="width:80px" value="Delete" onclick="deleteFiles();" class="button" />

    <asp:Button ID="btnCreateFolder" runat="server" Text="Create Folder" Width="100px" CssClass="button" />

    <asp:Button ID="btnDelFolder" runat="server" Text="Delete Folder" Width="100px" CssClass="button" />

    <asp:Button ID="btnUpload" runat="server" Text="Upload ..." Width="80px"  CssClass="button"/>

    <input type="button" style="width:80px" value="Add to Zip" onclick="zipFiles();" class="button" />

</div>
