﻿<%@ control language="C#" autoeventwireup="true" inherits="z_admin_modules_Galleries, App_Web_n5yan1p0" %>


<fieldset>
<legend>Existing galleries</legend>

<table class="sections-table">
<tr>
<td class="section-title" style="width:60px">Gallery</td>
<td class="section-content"><asp:DropDownList ID="ddlGalleries" runat="server" CssClass="textbox" 
    Width="300px" AutoPostBack="true" 
    onselectedindexchanged="ddlGalleries_SelectedIndexChanged"></asp:DropDownList>        
</td>
</tr>
</table>
</fieldset>

<fieldset>
    <legend>Gallery Properties</legend>
    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:60px">Name</td>
    <td class="section-content"><asp:TextBox ID="tboxName" runat="server" CssClass="textbox" MaxLength="50"></asp:TextBox>&nbsp;&nbsp;<i style="font-size:9px">Must be unique</i></td>
    </tr>
    </table>
</fieldset>



<iframe src="modules/UploadImage.aspx?desiredwidth=800&sessionValue=gallery" width="99%" style="height:120px; display:none" frameborder="0" id="upload-thumbnail-form">
</iframe>


<fieldset>
<legend>Available Images for Gallery</legend>

<table border="0" cellpadding="0" cellspacing="0">
<tr>
<td  valign="top" style="vertical-align:top">
    <asp:DropDownList ID="ddlImage" runat="server" CssClass="textbox" Width="400px" ></asp:DropDownList>        
</td>
<td style="padding-left:10px; vertical-align:top" valign="top">
    <img style="display:none" id="article_img_image_modal" alt="" />
    <img style="display:none; height:40px; cursor:pointer; border-radius:5px;" id="article_img_image" alt="" height="40px" title="Click to view image in full screen" />
</td>
<td style="padding-left:10px; vertical-align:middle" valign="middle">
    <asp:ImageButton ID="btnAddImage" ImageUrl="~/z-admin/icons/add.png" 
        runat="server" ToolTip="Add image to gallery" onclick="btnAddImage_Click" />
</td>
<td style="padding-left:10px; vertical-align:middle" valign="middle">
<a href="#" onclick="$('#upload-thumbnail-form').dialog('destroy'); $('#upload-thumbnail-form').dialog({resizable: false, draggable: false, modal: true, width: 380, height: 250, title: 'Upload image for gallery' }).width(380).height(250); return false;"><img src="icons/upload.png" alt="" title="Upload" /></a>
</td>
</tr>
</table>

<script language="javascript" type="text/javascript">
    function bindImages() {

        var buttonToClick = '<%=btnBindImages.UniqueID %>';
        //alert(buttonToClick);

        __doPostBack(buttonToClick, "");

        //buttonToClick.click();
    }

    $(function () {

        $('#<%=ddlImage.ClientID %>').change(function () {
            var imgSrc = $(this).val();

            $("#article_img_image").attr("src", "../assets/galleries/" + imgSrc);
            $("#article_img_image").css("display", "inline");

            $("#article_img_image_modal").attr("title", imgSrc);
            $("#article_img_image_modal").attr("src", "../assets/galleries/" + imgSrc);
        });

    });


</script>

<script language="javascript" type="text/javascript">
    $(function () {

        $('#<%=ddlImage.ClientID %>').change();

        $('#article_img_image_modal').dialog({ autoOpen: false, resizable: false, draggable: false, modal: true, width: 810, height: 610, title: "Image in Gallery" });

        $('#article_img_image').click(function () {
            $('#article_img_image_modal').dialog("open");
        });

    });
</script>

</fieldset>




<fieldset>
<legend>Gallery preview</legend>


<div style="width:99%; border:1px #e9e9e9 dashed; border-radius:5px; padding:5px; margin-top:10px;">
<asp:DataList runat="server" ID="dlImagesInGallery" RepeatColumns="6" 
        RepeatDirection="Horizontal" OnItemCommand="dlImagesInGallery_ItemCommand">
<ItemTemplate>
<div style="float:left; width:100px; position:relative; margin-right:5px; margin-bottom:5px; opacity:0.5" onmouseover="$(this).css({opacity:1.0});$(this).children('input.action-button').show();" onmouseout="$(this).css({opacity:0.5});$(this).children('input.action-button').hide();">
    <img src='../assets/galleries/<%#Eval("image").ToString().Trim() %>' style="width:100px; border-radius:2px; border:1px #999 solid" />
    <asp:ImageButton CssClass="action-button" ImageUrl="~/z-admin/icons/delete_small.png" ToolTip="Remove Image from Gallery" style="position:absolute; right:3px; top:5px; display:none" runat="server" CommandName="delete_pic" CommandArgument='<%#Eval("image").ToString().Trim() %>' />
    <!--<img class="prdo" src="icons/delete_small.png" alt="" title="Ukloni sliku iz galerije" style="position:absolute; right:3px; top:5px; display:none" />-->
</div>
</ItemTemplate>
</asp:DataList>


<%--<asp:Repeater ID="repImagesInGallery" runat="server">
<ItemTemplate>
<div style="float:left; width:100px; position:relative; margin-right:5px; margin-bottom:5px; opacity:0.5" onmouseover="$(this).css({opacity:1.0});$(this).children('img.prdo').show();" onmouseout="$(this).css({opacity:0.5});$(this).children('img.prdo').hide();">
    <img src='../assets/galleries/<%#Eval("image").ToString().Trim() %>' style="width:100px; border-radius:2px; border:1px #999 solid" />
    <img class="prdo" src="icons/delete_small.png" alt="" title="Ukloni sliku iz galerije" style="position:absolute; right:3px; top:5px; display:none" />
</div>
</ItemTemplate>
</asp:Repeater>--%>

<div style="clear:both"></div>

</div>



</fieldset>


        
<div id="button-area">
        
<asp:Button ID="btnSave" runat="server" Text="Save existing Gallery" CssClass="button" 
        onclick="btnSave_Click" OnClientClick="return confirm('Save existing Gallery ?');"  />
        
<asp:Button ID="btnAdd" runat="server" Text="Create new Gallery" CssClass="button" 
        style="margin:0 15px" 
        onclick="btnAdd_Click"  OnClientClick="return confirm('Create new Gallery ?');" />

<asp:Button ID="btnDelete" runat="server" Text="Delete Gallery" CssClass="button" 
        style="margin:0 15px" 
        OnClientClick="return confirm('Delete Gallery ?');" 
        onclick="btnDelete_Click"  />

<asp:Button ID="btnDeleteAll" runat="server" Text="Delete Gallery and Images" 
        CssClass="button" 
        OnClientClick="return confirm('Delete Gallery and Images ?');" 
        onclick="btnDeleteAll_Click"  />

    <asp:Button ID="btnBindImages" runat="server" Text="Button" 
        onclick="btnBindImages_Click" style="display:none" />

</div>   

