﻿<%@ control language="C#" autoeventwireup="true" inherits="z_admin_modules_Pages, App_Web_rukn4ma3" %>


<%@ Register src="RichTextBox.ascx" tagname="RichTextBox" tagprefix="uc" %>


<fieldset>
    <legend>Menu Pages</legend>

    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:80px">
    Existing Page
    </td>
    <td class="section-content">
    

    <table border="0">
    <tr>
    <td valign="middle" style="vertical-align:middle">
    <asp:DropDownList ID="ddlPages" runat="server" CssClass="textbox" Width="300px" 
        AutoPostBack="true" onselectedindexchanged="ddlPages_SelectedIndexChanged"></asp:DropDownList>        
    </td>

    <td valign="middle" style="vertical-align:middle; padding:0 4px">
        <asp:ImageButton ID="btnUp" runat="server" 
            ImageUrl="~/z-admin/icons/up_icon.png" AlternateText="Move Page up" 
            ToolTip="Move Page up" onclick="btnUp_Click" />
    </td>

    <td valign="middle" style="vertical-align:middle">
        <asp:ImageButton ID="btnDown" runat="server" 
            ImageUrl="~/z-admin/icons/down_icon.png" AlternateText="Move Page down" 
            ToolTip="Move Page down" onclick="btnDown_Click" />
    </td>

    <td valign="middle" style="vertical-align:middle; padding-left:10px; font-size:9px; color:green">
        <span id="status_message" runat="server" Visible="false">Page order has changed.</span>
    </td>


    </tr>
    </table>


    </td>
    </tr>
    </table>

</fieldset>

<fieldset>
<legend>Page Properties</legend>

<table class="sections-table">
<tr>
    <td class="section-title" style="width:80px">Menu Title</td>
    <td class="section-content"><asp:TextBox ID="tboxTitle" runat="server" CssClass="textbox" MaxLength="50"></asp:TextBox></td>
</tr>
<tr>
    <td class="section-title">URL Alias</td>
    <td class="section-content"><asp:TextBox ID="tboxURLName" runat="server" 
            CssClass="textbox" MaxLength="200" style="text-transform:lowercase"></asp:TextBox>&nbsp;&nbsp;<i style="font-size:9px">(must be unique, URL friendly text)</i></td>
</tr>
<tr>
    <td class="section-title">Long Title</td>
    <td class="section-content"><asp:TextBox ID="tbLongTitle" runat="server" CssClass="textbox" MaxLength="250"></asp:TextBox></td>
</tr>
<tr>
    <td class="section-title">Template</td>
    <td class="section-content">
        <asp:DropDownList ID="ddlTemplate" runat="server" CssClass="textbox">
        
        </asp:DropDownList>
    </td>
</tr>
</table>

</fieldset>

<fieldset>
    <legend>Page Content</legend>
    <uc:RichTextBox ID="tboxText" runat="server" />
</fieldset>
        
<div id="button-area">
        
<asp:Button ID="btnSave" runat="server" Text="Save existing Page" CssClass="button" 
        onclick="btnSave_Click" OnClientClick="return confirm('Save existing Page ?');"  />

<asp:Button ID="btnAdd" runat="server" Text="Add new Page" style="margin:0 15px" 
        CssClass="button" onclick="btnAdd_Click" OnClientClick="return confirm('Add new Page ?');"  />
        
<asp:Button ID="btnDelete" runat="server" Text="Delete Page" CssClass="button" 
        onclick="btnDelete_Click" OnClientClick="return confirm('Delete Page ?');"  />

</div>   

