﻿<%@ control language="C#" autoeventwireup="true" inherits="z_admin_modules_RandomImages, App_Web_n5yan1p0" %>

<fieldset>
    <legend>
    Existing Random Images
    </legend>

    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:100px">Image</td>
    <td class="section-content">
    <asp:DropDownList ID="ddlRandomImage" runat="server" CssClass="textbox" 
            AutoPostBack="True" 
            onselectedindexchanged="ddlRandomImage_SelectedIndexChanged" ></asp:DropDownList>
    </td>
    </tr>
    
    </table>

</fieldset>

<fieldset>
    <legend>Random Image properties</legend>

    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:100px">Name</td>
    <td class="section-content">
    <asp:TextBox ID="tbImage" runat="server" CssClass="textbox" MaxLength="40"></asp:TextBox>
    </td>
    </tr>

    <tr>
    <td class="section-title">Image type(s)</td>
    <td class="section-content">
    <asp:TextBox ID="tbAllowedTypes" runat="server" CssClass="textbox" MaxLength="50"></asp:TextBox> &nbsp;<i style="font-size:9px">(e.g. jpg;gif;png)</i>
    </td>
    </tr>

    <tr>
    <td class="section-title">Image folder</td>
    <td class="section-content">
    <asp:TextBox ID="tbFolder" runat="server" CssClass="textbox" MaxLength="100"></asp:TextBox> &nbsp;<i style="font-size:9px">(e.g. assets/banners)</i>
    </td>
    </tr>

    <tr>
    <td class="section-title">Link</td>
    <td class="section-content">
    <asp:TextBox ID="tbLink" runat="server" CssClass="textbox" MaxLength="2000"></asp:TextBox>
    </td>
    </tr>

    <tr>
    <td class="section-title">Max. width (px)</td>
    <td class="section-content">
    <asp:TextBox ID="tbWidth" runat="server" CssClass="textbox" MaxLength="4" Width="120px"></asp:TextBox> &nbsp;<i style="font-size:9px">(leave blank or 0 to omit property)</i>
    </td>
    </tr>

    <tr>
    <td class="section-title">Max. height (px)</td>
    <td class="section-content">
    <asp:TextBox ID="tbHeight" runat="server" CssClass="textbox" MaxLength="4" Width="120px"></asp:TextBox> &nbsp;<i style="font-size:9px">(leave blank or 0 to omit property)</i>
    </td>
    </tr>

    </table>
</fieldset>

<div id="button-area">

    <asp:Button ID="btnSave" runat="server" CssClass="button" Text="Save Image" 
        OnClientClick="return confirm('Save Random Image ?');" 
        onclick="btnSave_Click" />

    <asp:Button ID="btnAdd" runat="server" CssClass="button" Text="Add Image" 
        OnClientClick="return confirm('Add Random Image ?');" 
        style="margin:0 10px" onclick="btnAdd_Click" />
    
    <asp:Button ID="btnDelete" runat="server" CssClass="button" 
        Text="Delete Image" 
        OnClientClick="return confirm('Delete Random Image ?');" 
        onclick="btnDelete_Click" />

</div>