﻿<%@ control language="C#" autoeventwireup="true" inherits="z_admin_modules_RolesLogins, App_Web_n5yan1p0" %>

<asp:PlaceHolder ID="phRoles" runat="server">
<div style="float:right">
    <asp:Button ID="btnLogins" runat="server" CssClass="button" 
        Text="Logins Management ..." onclick="btnLogins_Click" />
</div>

<br class="clearer" />

<fieldset>
    <legend>Roles Management</legend>

    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:100px">Role</td>
    <td class="section-content">
        <asp:DropDownList ID="ddlRoles" runat="server" CssClass="textbox" 
            AutoPostBack="true"
            onselectedindexchanged="ddlRoles_SelectedIndexChanged"></asp:DropDownList>
    </td>
    </tr>
    </table>
</fieldset>

<fieldset>
    <legend>Role properties</legend>

    <table class="sections-table">
    <tr>
        <td class="section-title" style="width:100px">Name</td>
        <td class="section-content"><asp:TextBox ID="tbRoleName" runat="server" CssClass="textbox" MaxLength="50" Width="300px"></asp:TextBox></td>
    </tr>
    <tr>
        <td class="section-title" valign="top">Allowed Modules</td>
        <td class="section-content">
        <div style="height:200px; overflow:scroll; overflow-x:hidden; width:300px;" class="textbox">
        <asp:CheckBoxList runat="server" ID="cblModules">
            <asp:ListItem Value="maintenance">Maintenance Mode</asp:ListItem>
            <asp:ListItem Value="theme">Web Site Theme</asp:ListItem>
            <asp:ListItem Value="pagelayout">Web Site Design</asp:ListItem>
            <asp:ListItem Value="home">Home Page</asp:ListItem>
            <asp:ListItem Value="pages">Website Pages</asp:ListItem>
            <asp:ListItem Value="xmlcontent">XML Content</asp:ListItem>
            <asp:ListItem Value="contacts">Contacts</asp:ListItem>
            <asp:ListItem Value="contactlist">Contact Lists</asp:ListItem>
            <asp:ListItem Value="polls">Polls</asp:ListItem>
            <asp:ListItem Value="news">News</asp:ListItem>
            <asp:ListItem Value="columns">Columns</asp:ListItem>
            <asp:ListItem Value="articles">Articles</asp:ListItem>
            <asp:ListItem Value="comments">Comments</asp:ListItem>
            <asp:ListItem Value="gallery">Galleries</asp:ListItem>
            <asp:ListItem Value="youtube">YouTube playlists</asp:ListItem>
            <asp:ListItem Value="htmlsnippet">HTML Snippets</asp:ListItem>
            <asp:ListItem Value="wrappers">Wrappers</asp:ListItem>
            <asp:ListItem Value="articleslist">Articles Lists</asp:ListItem>
            <asp:ListItem Value="dynamictext">Dynamic Text</asp:ListItem>
            <asp:ListItem Value="randomimages">Random Images</asp:ListItem>
            <asp:ListItem Value="modules">Custom Modules</asp:ListItem>
            <asp:ListItem Value="customitems">Custom Items</asp:ListItem>
            <asp:ListItem Value="downloadmanager">Download Manager</asp:ListItem>
            <asp:ListItem Value="filemanager">File Manager</asp:ListItem>
            <asp:ListItem Value="weblinks">Web Links Manager</asp:ListItem>
            <asp:ListItem Value="tweets">Tweets Manager</asp:ListItem>
            <asp:ListItem Value="rss">RSS Manager</asp:ListItem>
            <asp:ListItem Value="configuration">App Configuration</asp:ListItem>
            <asp:ListItem Value="css">CSS Overrides</asp:ListItem>
            <asp:ListItem Value="email">E-mail settings</asp:ListItem>
            <asp:ListItem Value="roleslogins">Roles / Logins</asp:ListItem>
            <asp:ListItem Value="webusers">Web Users / Roles</asp:ListItem>
            <asp:ListItem Value="errorpages">Error Pages</asp:ListItem>
            <asp:ListItem Value="userpage">User Pages</asp:ListItem>
            <asp:ListItem Value="extenders">Manage and Use Extenders</asp:ListItem>
            <asp:ListItem Value="extender">Use Extenders</asp:ListItem>
        </asp:CheckBoxList>
        </div>
        </td>
    </tr>
    </table>
</fieldset>

<asp:PlaceHolder ID="phBuiltRole" runat="server">
<div class="info-area">
Note, this is built in Role. Changes to this Role are disabled.
</div>
</asp:PlaceHolder>

<div id="button-area">
    <asp:Button ID="btnSaveRole" runat="server" CssClass="button" Text="Save Role" 
        OnClientClick="return confirm('Save existing Role ?');" 
        style="margin:0 10px 0 0" onclick="btnSaveRole_Click" />
    <asp:Button ID="btnAddRole" runat="server" CssClass="button" Text="Add Role" 
        OnClientClick="return confirm('Add new Role ?');" onclick="btnAddRole_Click" />
    <asp:Button ID="btnDeleteRole" runat="server" CssClass="button" 
        Text="Delete Role" OnClientClick="return confirm('Delete existing Role ?');" 
        style="margin:0 0 0 10px" onclick="btnDeleteRole_Click" />
</div>
</asp:PlaceHolder>

<asp:PlaceHolder ID="phLogins" runat="server">



<div style="float:right">
    <asp:Button ID="btnRoleManagement" runat="server" CssClass="button" 
        Text="Roles Management ..." onclick="btnRoleManagement_Click"  />
</div>

<br class="clearer" />

<fieldset>
    <legend>Logins Management</legend>

    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:120px">User</td>
    <td class="section-content">
        <asp:DropDownList ID="ddlUsers" runat="server" CssClass="textbox" 
            AutoPostBack="true"
            onselectedindexchanged="ddlUsers_SelectedIndexChanged"></asp:DropDownList>
    </td>
    </tr>
    </table>
</fieldset>

<fieldset>
    <legend>Login properties</legend>

    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:120px">Username</td>
    <td class="section-content"><asp:TextBox ID="tbUsername" runat="server" CssClass="textbox" MaxLength="20"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Password</td>
    <td class="section-content"><asp:TextBox ID="tbPassword" runat="server" CssClass="textbox" TextMode="Password" MaxLength="20"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Confirm Password</td>
    <td class="section-content"><asp:TextBox ID="tbPassword2" runat="server" CssClass="textbox" TextMode="Password" MaxLength="20"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">User in Role</td>
    <td class="section-content"><asp:DropDownList ID="ddlUserInRole" runat="server" CssClass="textbox"></asp:DropDownList></td>
    </tr>

    <tr>
    <td class="section-title">First name</td>
    <td class="section-content"><asp:TextBox ID="tbFirst" runat="server" MaxLength="30" CssClass="textbox"></asp:TextBox></td>
    </tr>


    <tr>
    <td class="section-title">Last name</td>
    <td class="section-content"><asp:TextBox ID="tbLast" runat="server" MaxLength="50" CssClass="textbox"></asp:TextBox></td>
    </tr>


    <tr>
    <td class="section-title">Avatar</td>


    <td class="section-content">
    
    <table cellpadding="0" cellspacing="0" border="0">
    <tr>
    <td style="padding-right:10px">
        <asp:DropDownList ID="ddlAvatar" runat="server" CssClass="textbox" onchange="setAvatarImg();"></asp:DropDownList>
    </td>
    <td>
    <img id="avatar-img" alt="" />
    </td>
    </tr>
    </table>

    <script language="javascript" type="text/javascript">

        function setAvatarImg() {
            var imageName = $('#<%=ddlAvatar.ClientID %>').val();
            var imageSource = "icons/avatars/" + imageName;

            $("#avatar-img").attr("src", imageSource);
        }

        setAvatarImg();

    </script>
    
    </td>
    
    </tr>

    </table>
</fieldset>

<fieldset>
    <legend>Security</legend>

    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:120px">Disabled</td>
    <td class="section-content"><asp:CheckBox CssClass="textbox" Text="This Account is disabled" runat="server" ID="cbDisabled" /></td>
    </tr>
    </table>
</fieldset>

<asp:PlaceHolder ID="phBuiltInUser" runat="server">
<div class="info-area">
Note, this is built in Account. Changes to this Account are disabled.
</div>
</asp:PlaceHolder>

<div id="button-area">

    <asp:Button ID="btnSaveAccount" runat="server" CssClass="button" Text="Save Account" 
        OnClientClick="return confirm('Save existing Account ?');" 
        style="margin:0 10px 0 0" onclick="btnSaveAccount_Click" />

    <asp:Button ID="btnAddAccount" runat="server" CssClass="button" Text="Add Account" 
        OnClientClick="return confirm('Add new Account ?');" 
        onclick="btnAddAccount_Click" />
    
    <asp:Button ID="btnDeleteAccount" runat="server" CssClass="button" 
        Text="Delete Account" OnClientClick="return confirm('Delete existing Account ?');" 
        style="margin:0 0 0 10px" onclick="btnDeleteAccount_Click" />

</div>
</asp:PlaceHolder>