﻿<%@ control language="C#" autoeventwireup="true" inherits="z_admin_modules_Settings, App_Web_rukn4ma3" %>

<%@ Register src="SyntaxHighlighter.ascx" tagname="SyntaxHighlighter" tagprefix="uc1" %>

<fieldset>
    <legend>WEB Site Title</legend>

<table class="sections-table">
<tr>
    <td class="section-title" style="width:90px">Title Prefix</td>
    <td class="section-content"><asp:TextBox ID="tbTitle" runat="server" CssClass="textbox" Width="300px"></asp:TextBox></td>
</tr>
</table>

</fieldset>

<fieldset>
<legend>META information</legend>

<table class="sections-table">
<tr>
    <td class="section-title" style="width:90px">Author</td>
    <td class="section-content"><asp:TextBox ID="tbAuthor" runat="server" CssClass="textbox" Width="300px"></asp:TextBox></td>
</tr>

<tr>
    <td class="section-title">Keywords</td>
    <td class="section-content"><asp:TextBox ID="tbKeywords" runat="server" CssClass="textbox" Width="300px"></asp:TextBox></td>
</tr>

<tr>
    <td class="section-title">App Description</td>
    <td class="section-content">
    
        <asp:TextBox ID="tbDescription" runat="server" CssClass="textbox" Width="300px"></asp:TextBox>
        
    </td>
</tr>


<tr>
    <td class="section-title">Auto Refresh</td>
    <td>
    <asp:DropDownList ID="ddlRefresh" runat="server" CssClass="textbox" Width="180px">
        <asp:ListItem Value="-">No Automatic Refresh</asp:ListItem>
        <asp:ListItem Value="60">Every minute</asp:ListItem>
        <asp:ListItem Value="300">Every 5 minutes</asp:ListItem>
        <asp:ListItem Value="600">Every 10 minutes</asp:ListItem>
        <asp:ListItem Value="900">Every 15 minutes</asp:ListItem>
        <asp:ListItem Value="1800">Every 30 minutes</asp:ListItem>
        <asp:ListItem Value="3600">Every hour</asp:ListItem>
        </asp:DropDownList>
    </td>
</tr>

</table>

</fieldset>

<fieldset>
    <legend>ASP.NET Configuration</legend>

    <table class="sections-table">
    <tr>
        <td class="section-title" style="width:90px">Viewstate</td>
        <td class="section-content"><asp:CheckBox ID="cbMinimizeViewState" runat="server" Text="Minimize Viewstate" /></td>
    </tr>
    <tr>
        <td class="section-title"></td>
        <td class="section-content">
        
        <div class="info-area" style="width:560px">
        Warning! When checked, full Page Postbacks (without Ajax) are not possible and will result in corrupted modules ViewState.<br />
        If there are on Page custom modules that are requiring full Page Postback (e.g. they are not inside UpdatePanel) please uncheck this.
        </div>

        </td>
    </tr>

    <tr>
        <td class="section-title">Friendly URL</td>
        <td class="section-content"><asp:CheckBox ID="cbFriendlyUrl" runat="server" Text="Enable Friendly URL" /></td>
    </tr>
    <tr>
        <td class="section-title"></td>
        <td class="section-content">
        
        <div class="info-area" style="width:560px">
        Works on Localhost and Dedicated Server. Probably not working on Shared Hosting.
        </div>

        </td>
    </tr>

    </table>

    

</fieldset>

<fieldset>
<legend>Linked scripts and CSS styles (paths to existing files)</legend>

<asp:HiddenField ID="hfScripts" runat="server"  />
<asp:HiddenField ID="hfStyles" runat="server"  />

<table class="sections-table">
<tr>
<td valign="top" class="section-title">Scripts</td>
<td class="section-content">
    <asp:ListBox ID="lbScripts" runat="server" Width="400px" Height="120px" CssClass="textbox">
    </asp:ListBox>
</td>
<td valign="top" class="section-content">
    <a href="#" onclick="add_script(); return false;" style="margin-bottom:15px; display:block"><img src="icons/20x20/add.png" alt="" title="Add Script ..." /></a>
    <a href="#" onclick="remove_script(); return false;" ><img src="icons/20x20/delete.png" alt="" title="Delete selected Script" /></a>
</td>
</tr>
<tr>
<td colspan="2" align="right" style="padding-bottom:10px" class="section-content">
    <asp:CheckBox ID="cbDisableScriptCaching" runat="server" Text="Disable Script Caching" />
</td>
</tr>


<tr>
<td valign="top" class="section-title">Styles</td>
<td class="section-content">
    <asp:ListBox ID="lbStyles" runat="server" Width="400px" Height="120px" CssClass="textbox">
    </asp:ListBox>
</td>
<td valign="top" class="section-content">
    <a href="#" onclick="add_style(); return false;" style="margin-bottom:15px; display:block"><img src="icons/20x20/add.png" alt="" title="Add Style" /></a>
    <a href="#" onclick="remove_style(); return false;"><img src="icons/20x20/delete.png" alt="" title="Delete selected Style" /></a>
</td>
</tr>
<tr>
<td colspan="2" align="right" class="section-content">
    <asp:CheckBox ID="cbDisableStyleCaching" runat="server" Text="Disable Style Caching" />
</td>
</tr>

</table>

<script language="javascript" type="text/javascript">

    function add_script() {
        var wndVal = window.prompt("Please enter path to .JS file", "");

        if (wndVal == null) { return; }
        if (wndVal.length == 0) { return; }


        var elm = document.getElementById('<%=lbScripts.ClientID %>');

        elm.options[elm.options.length] = new Option(wndVal, wndVal);

        save_script_values();
    }

    function remove_script() {
        var elm = document.getElementById('<%=lbScripts.ClientID %>');

        if (elm.selectedIndex != -1) {

            elm.options[elm.selectedIndex] = null;

        }

        save_script_values();
    }

    function save_script_values() {

        var sval = "";
        var elm = document.getElementById('<%=lbScripts.ClientID %>');

        for (var i = 0; i < elm.options.length; i++) {
            var value = elm.options[i].value;
            sval += value + ";";
        }


        var hf = document.getElementById('<%=hfScripts.ClientID %>');
        hf.value = sval;
        
    }

    function add_style() {
        var wndVal = window.prompt("Please enter path to .CSS file", "");

        if (wndVal == null) { return; }
        if (wndVal.length == 0) { return; }


        var elm = document.getElementById('<%=lbStyles.ClientID %>');

        elm.options[elm.options.length] = new Option(wndVal, wndVal);

        save_style_values();

    }

    function remove_style() {
        var elm = document.getElementById('<%=lbStyles.ClientID %>');

        if (elm.selectedIndex != -1) {

            elm.options[elm.selectedIndex] = null;

        }

        save_style_values();
    }

    function save_style_values() {

        var sval = "";
        var elm = document.getElementById('<%=lbStyles.ClientID %>');

        for (var i = 0; i < elm.options.length; i++) {
            var value = elm.options[i].value;
            sval += value + ";";
        }


        var hf = document.getElementById('<%=hfStyles.ClientID %>');
        hf.value = sval;

    }

</script>



</fieldset>


<fieldset>
    <legend>Embeded Javascript</legend>

    <div style="padding:5px">
    

    <uc1:SyntaxHighlighter ID="tbEmbededScripts" Hightlighter="js" runat="server" />
    <div class="info-area" style="width:560px">
    * Javascript will be inside HEAD tag<br />
    * Enter Javascript together with &lt;SCRIPT&gt; tags (e.g. &lt;script language=&quot;javascript&quot;>var elm=document.getElementById ... 
        &lt;/script&gt; )</div>


    </div>

</fieldset>

<div id="button-area">
        
<asp:Button ID="btnSave" runat="server" Text="Save Changes" CssClass="button" 
        onclick="btnSave_Click" OnClientClick="return confirm('Save Changes ?');" />
</div>   
