﻿<%@ control language="C#" autoeventwireup="true" inherits="z_admin_modules_Tweets, App_Web_n5yan1p0" %>

<fieldset>
    <legend>Existing Twitter Widgets</legend>

    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:80px">Widget</td>
    <td class="section-content"><asp:DropDownList ID="ddlWidget" runat="server" 
            CssClass="textbox" AutoPostBack="true" 
            onselectedindexchanged="ddlWidget_SelectedIndexChanged"></asp:DropDownList></td>
    </tr>
    </table>
</fieldset>

<fieldset>
    <legend>Widget properties</legend>

    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:80px">Name</td>
    <td class="section-content"><asp:TextBox ID="tbName" runat="server" MaxLength="40" CssClass="textbox"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Username</td>
    <td class="section-content"><asp:TextBox id="tbUsername" runat="server" MaxLength="40" CssClass="textbox"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Scrollbar</td>
    <td class="section-content"><asp:CheckBox ID="cbScrollbar" runat="server" Text="Enable Scrollbar" /></td>
    </tr>

    <tr>
    <td class="section-title">Tweets count</td>
    <td class="section-content"><asp:TextBox ID="tbTweetCount" runat="server" Width="100" CssClass="textbox"></asp:TextBox></td>
    </tr>


    <tr>
    <td class="section-title">Avatars</td>
    <td class="section-content"><asp:CheckBox ID="cbAvatars" runat="server" Text="Show Avatars" /></td>
    </tr>


    <tr>
    <td class="section-title">Timestamps</td>
    <td class="section-content"><asp:CheckBox ID="cbTimestamps" runat="server" Text="Show Timestamps" /></td>
    </tr>


    <tr>
    <td class="section-title">Hashtags</td>
    <td class="section-content"><asp:CheckBox ID="cbHashTags" runat="server" Text="Enable Hashtags" /></td>
    </tr>
    </table>


</fieldset>

<fieldset>
    <legend>Widget Appearance</legend>

    <script language="javascript" type="text/javascript">
        $(document).ready(function () {
            $('.cpicker').ColorPicker({
                onSubmit: function (hsb, hex, rgb, el) {
                    $(el).val("#" + hex);
                    $(el).ColorPickerHide();
                },
                onBeforeShow: function () {
                    $(this).ColorPickerSetColor(this.value);
                }
            })
            .bind('keyup', function () {
                $(this).ColorPickerSetColor(this.value);
            });
        });
    </script>

    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:80px">Shell Bkgnd</td>
    <td class="section-content"><asp:TextBox ID="tbShellBkgnd" runat="server" MaxLength="10" CssClass="textbox cpicker" Width="100px"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Shell Text</td>
    <td class="section-content"><asp:TextBox ID="tbShellText" runat="server" MaxLength="10" CssClass="textbox cpicker" Width="100px"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Tweet Bkgnd</td>
    <td class="section-content"><asp:TextBox ID="tbTweetbkgnd" runat="server" MaxLength="10" CssClass="textbox cpicker" Width="100px"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Tweet Text</td>
    <td class="section-content"><asp:TextBox ID="tbTweetText" runat="server" MaxLength="10" CssClass="textbox cpicker" Width="100px"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Links</td>
    <td class="section-content"><asp:TextBox ID="tbLinks" runat="server" MaxLength="10" CssClass="textbox cpicker" Width="100px"></asp:TextBox></td>
    </tr>

    </table>

</fieldset>

<fieldset>
    <legend>Widget Dimensions</legend>

    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:80px">Width (px)</td>
    <td class="section-content"><asp:TextBox ID="tbWidth" runat="server" MaxLength="10" CssClass="textbox" Width="100px"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Height (px)</td>
    <td class="section-content"><asp:TextBox ID="tbHeight" runat="server" MaxLength="10" CssClass="textbox" Width="100px"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Auto Width</td>
    <td class="section-content"><asp:CheckBox ID="cbAutoWidth" runat="server" Text="Auto Width" /></td>
    </tr>

    </table>

</fieldset>


<div id="button-area">
<asp:Button ID="btnSave" runat="server" Text="Save Widget" CssClass="button" 
        OnClientClick="return confirm('Save existing Widget ?');" 
        onclick="btnSave_Click" />

<asp:Button ID="btnAdd" runat="server" Text="Add Widget" style="margin:0 15px" 
        CssClass="button" OnClientClick="return confirm('Add new Widget ?');" 
        onclick="btnAdd_Click"  />
        
<asp:Button ID="btnDelete" runat="server" Text="Delete Widget" CssClass="button" 
        OnClientClick="return confirm('Delete Widget ?');" 
        onclick="btnDelete_Click"   />
</div>