﻿<%@ control language="C#" autoeventwireup="true" inherits="z_admin_modules_WebUsers, App_Web_n5yan1p0" %>

<%@ Register Assembly="obout_ComboBox" Namespace="Obout.ComboBox" TagPrefix="cc" %>


<asp:PlaceHolder ID="phLogins" runat="server">

<div style="float:right">
    <asp:Button ID="btnLogins" runat="server" CssClass="button" 
        Text="Groups Management ..." onclick="btnLogins_Click" />
</div>

<br class="clearer" />
<fieldset>
    <legend>Existing Web Users</legend>

        <table class="sections-table">
        <tr>
        <td class="section-title" style="width:120px">
        Username
        </td>

        <td>
        

        <cc:ComboBox ID="webUsers" runat="server" Width="300px" 
        EnableLoadOnDemand="True"
                 AutoPostBack="True" AllowCustomText="false" Height="300" 
        AutoClose="true" AutoValidate="true" ShowSelectedImage="false" 
        onloadingitems="webUsers_LoadingItems" 
        onselectedindexchanged="webUsers_SelectedIndexChanged" 
                style="top: 0px; left: 0px" ontextchanged="webUsers_TextChanged" >
        </cc:ComboBox>


        </td>
        <td style="padding-left:10px">
        
        <asp:Button ID="btnDisplayUser" runat="server" Text="Display" CssClass="button" 
                onclick="btnDisplayUser_Click" />

        </td>
        </tr>
        </table>

</fieldset>

<fieldset>
    <legend>User properties</legend>

    <table class="sections-table" border="0">
    <tr>
        <td class="section-title" style="width:120px">Username</td>
        <td class="section-content"><asp:TextBox ID="tbUsername" runat="server" CssClass="textbox" MaxLength="15"></asp:TextBox></td>
        <td class="section-title" style="padding-left:30px">Comment</td>
    </tr>

    <tr>
        <td class="section-title">Password</td>
        <td class="section-content"><asp:TextBox ID="tbPassword" TextMode="Password" Runat="server" CssClass="textbox" MaxLength="15"></asp:TextBox></td>
        <td class="section-content" style="padding-left:30px" rowspan="7" valign="top">

        <asp:TextBox TextMode="MultiLine" CssClass="textbox" runat="server" ID="tbComment" Width="250px" Rows="10"></asp:TextBox>

        </td>
    </tr>

    <tr>
        <td class="section-title">Confirm Password</td>
        <td class="section-content"><asp:TextBox ID="tbPassword2" TextMode="Password" runat="server" CssClass="textbox" MaxLength="15"></asp:TextBox></td>
    </tr>

    <tr>
        <td class="section-title">E-Mail</td>
        <td class="section-content"><asp:TextBox ID="tbEmail" runat="server" CssClass="textbox" MaxLength="50"></asp:TextBox></td>
    </tr>

    <tr>
        <td class="section-title">First name</td>
        <td class="section-content"><asp:TextBox ID="tbFirstName" runat="server" CssClass="textbox" MaxLength="30"></asp:TextBox></td>
    </tr>

    <tr>
        <td class="section-title">Last name</td>
        <td class="section-content"><asp:TextBox ID="tbLastName" runat="server" CssClass="textbox" MaxLength="30"></asp:TextBox></td>
    </tr>

    <tr>
        <td class="section-title">User in Group</td>
        <td class="section-content">
        
            <asp:DropDownList ID="ddlGroup" runat="server" CssClass="textbox"></asp:DropDownList>
        
        </td>
    </tr>

    <tr>
        <td class="section-title">Disabled</td>
        <td class="section-content">
        
        <asp:CheckBox ID="cbDisabled" runat="server" Text="Disable Account for this user" Font-Size="11px" />
        
        </td>
    </tr>

    </table>

</fieldset>

<div class="info-area">
    Note, to manage users for back-end application (this application here) please use module <strong>Roles / Logins</strong>.
</div>

<div  id="button-area">
    <asp:Button ID="btnSave" runat="server" Text="Save User" 
        OnClientClick="return confirm('Save changes on existing User ?');" 
        CssClass="button" onclick="btnSave_Click" />

    <asp:Button ID="btnAdd" runat="server" Text="Add User" 
        OnClientClick="return confirm('Add new User ?');" style="margin:0 10px" 
        CssClass="button" onclick="btnAdd_Click" />

    <asp:Button ID="btnDelete" runat="server" Text="Delete User" 
        OnClientClick="return confirm('Delete User ?');" CssClass="button" 
        onclick="btnDelete_Click" />
</div>

</asp:PlaceHolder>

<asp:PlaceHolder ID="phGroups" runat="server">
<div style="float:right">
    <asp:Button ID="btnLogins1" runat="server" CssClass="button" 
        Text="Users Management ..." onclick="btnLogins_Click1" />
</div>

<br class="clearer" />
<fieldset>
    <legend>Existing Groups</legend>

        <table class="sections-table">
        <tr>
        <td class="section-title" style="width:120px">
        Group name
        </td>

        <td>
        
            <asp:DropDownList ID="ddlGroupName" runat="server" CssClass="textbox" 
                AutoPostBack="True" onselectedindexchanged="ddlGroup_SelectedIndexChanged"></asp:DropDownList>

        </td>
        </tr>
        </table>

</fieldset>

<fieldset>
    <legend>Group properties</legend>

    <table class="sections-table">
    <tr>
        <td class="section-title" style="width:120px">Name</td>
        <td class="section-content"><asp:TextBox ID="tbName" runat="server" CssClass="textbox" MaxLength="30"></asp:TextBox></td>
    </tr>

    </table>

</fieldset>

<div  id="button-area">
    <asp:Button ID="btnSaveGroup" runat="server" Text="Save Group" 
        OnClientClick="return confirm('Save changes on existing Group ?');" 
        CssClass="button" onclick="btnSaveGroup_Click" />

    <asp:Button ID="btnAddGroup" runat="server" Text="Add Group" 
        OnClientClick="return confirm('Add new Group ?');" style="margin:0 10px" 
        CssClass="button" onclick="btnAddGroup_Click"/>

    <asp:Button ID="btnDeleteGroup" runat="server" Text="Delete Group" 
        OnClientClick="return confirm('Delete Group ?');" CssClass="button" 
        onclick="btnDeleteGroup_Click" />
</div>

</asp:PlaceHolder>
