﻿<%@ control language="C#" autoeventwireup="true" inherits="z_admin_modules_Wrappers, App_Web_n5yan1p0" %>

<fieldset>
    <legend>Existing Wrappers</legend>

    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:100px">Wrapper</td>
    <td class="section-content">
    <asp:DropDownList ID="ddlWrapper" runat="server" CssClass="textbox" 
            AutoPostBack="true" 
            onselectedindexchanged="ddlWrapper_SelectedIndexChanged" ></asp:DropDownList>
    </td>
    </tr>
    </table>
</fieldset>

<fieldset>
    <legend>Wrapper properties</legend>

    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:100px">Name</td>
    <td class="section-content">
    <asp:TextBox ID="tbWrapper" runat="server" CssClass="textbox" Width="150px" MaxLength="40"></asp:TextBox>
    </td>
    </tr>

    <tr>
    <td class="section-title">URL</td>
    <td class="section-content">
    <asp:TextBox ID="tbURL" runat="server" CssClass="textbox" MaxLength="2000"></asp:TextBox>
    </td>
    </tr>

    <tr>
    <td class="section-title">Width</td>
    <td class="section-content">
    <asp:TextBox ID="tbWidth" runat="server" CssClass="textbox" MaxLength="6" Width="150px"></asp:TextBox> &nbsp;<i style="font-size:9px">(e.g. 300px)</i>
    </td>
    </tr>

    <tr>
    <td class="section-title">Height</td>
    <td class="section-content">
    <asp:TextBox ID="tbHeight" runat="server" CssClass="textbox" MaxLength="6" Width="150px"></asp:TextBox> &nbsp;<i style="font-size:9px">(e.g. 200px)</i>
    </td>
    </tr>

    <tr>
    <td class="section-title">Scrollbars</td>
    <td class="section-content">
    <asp:DropDownList runat="server" ID="ddlScrollbars" Width="180px" CssClass="textbox">
        <asp:ListItem>Both</asp:ListItem>
        <asp:ListItem>Horizontal</asp:ListItem>
        <asp:ListItem>Vertical</asp:ListItem>
        <asp:ListItem>None</asp:ListItem>
        </asp:DropDownList> &nbsp;<i style="font-size:9px">(note, does not work on all browsers)</i>
    </td>
    </tr>
    <tr>
    <td class="section-title">Border</td>
    <td class="section-content">
    <asp:CheckBox ID="cbBorder" Text="Enable border" runat="server" />
    </tr>


    </table>

</fieldset>


<fieldset>
    <legend>Lightbox Wrapper</legend>

    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:100px">Lightbox</td>
    <td class="section-content">
        <asp:CheckBox ID="cbLightbox" Text="Enable Lightbox (display Wrapper in Modal Window)" runat="server" />
    </td>
    </tr>
    <tr>
    <td class="section-title">Link text</td>
    <td class="section-content"><asp:TextBox ID="tbLinkText" runat="server" MaxLength="100" CssClass="textbox"></asp:TextBox></td>
    </tr>

    <tr>
    <td class="section-title">Window title</td>
    <td class="section-content"><asp:TextBox ID="tbWindowTitle" runat="server" MaxLength="500" CssClass="textbox"></asp:TextBox></td>
    </tr>

    </table>

</fieldset>

<div id="button-area">
    <asp:Button ID="btnSave" runat="server" CssClass="button" Text="Save wrapper" 
        OnClientClick="return confirm('Save existing wrapper ?');" 
        onclick="btnSave_Click" />

    <asp:Button ID="btnAdd" runat="server" CssClass="button" Text="Add wrapper" 
        OnClientClick="return confirm('Add new wrapper ?');" style="margin:0 10px" 
        onclick="btnAdd_Click" />
    
    <asp:Button ID="btnDelete" runat="server" CssClass="button" 
        Text="Delete wrapper" OnClientClick="return confirm('Delete wrapper ?');" 
        onclick="btnDelete_Click" />

</div>
