﻿<%@ control language="C#" autoeventwireup="true" inherits="z_admin_modules_YouTube, App_Web_n5yan1p0" %>

<fieldset>
    <legend>Existing YouTube playlists</legend>

    <table class="sections-table">
    <tr>
        <td class="section-title" style="width:80px">Playlist</td>
        <td class="section-content"><asp:DropDownList ID="ddlPlaylist" runat="server" 
                CssClass="textbox" AutoPostBack="true" 
                onselectedindexchanged="ddlPlaylist_SelectedIndexChanged"></asp:DropDownList></td>
    </tr>
    </table>
</fieldset>

<fieldset>
    <legend>Properties</legend>
    <table class="sections-table">
    <tr>
        <td class="section-title" style="width:80px">Name</td>
        <td class="section-content"><asp:TextBox ID="tbName" runat="server" CssClass="textbox" MaxLength="50"></asp:TextBox></td>
    </tr>

    <tr>
        <td class="section-title">Video Width</td>
        <td class="section-content"><asp:TextBox ID="tbWidth" runat="server" CssClass="textbox" MaxLength="4" Width="100"></asp:TextBox>&nbsp;<i style="font-size:9px;">(leave 0 or empty for default)</i></td>
    </tr>

    <tr>
        <td class="section-title">Video Height</td>
        <td class="section-content"><asp:TextBox ID="tbHeight" runat="server" CssClass="textbox" MaxLength="4" Width="100"></asp:TextBox>&nbsp;<i style="font-size:9px;">(leave 0 or empty for default)</i></td>
    </tr>

    <tr>
        <td class="section-title">Page size</td>
        <td class="section-content"><asp:DropDownList ID="ddlPageSize" runat="server" CssClass="textbox" Width="100px">
            <asp:ListItem>1</asp:ListItem>
            <asp:ListItem>2</asp:ListItem>
            <asp:ListItem>3</asp:ListItem>
            <asp:ListItem Selected="True">4</asp:ListItem>
            <asp:ListItem>5</asp:ListItem>
            <asp:ListItem>6</asp:ListItem>
            <asp:ListItem>7</asp:ListItem>
            <asp:ListItem>8</asp:ListItem>
            <asp:ListItem>9</asp:ListItem>
            <asp:ListItem>10</asp:ListItem>
            </asp:DropDownList></td>
    </tr>
    <tr>
        <td class="section-title">Playlist width</td>
        <td class="section-content">
            <asp:TextBox ID="tbPlWidth" runat="server" CssClass="textbox" Width="100" MaxLength="8"></asp:TextBox>&nbsp;<i style="font-size:9px;">(e.g. 500px; leave empty to read from CSS)</i>
        </td>
    </tr>

    <tr>
        <td  class="section-title" valign="top">Videos</td>
        <td class="section-content">
            <asp:TextBox runat="server" TextMode="MultiLine" CssClass="textbox" Rows="8" ID="tbPlaylist" Width="550">
            
            </asp:TextBox>
            <div style="font-size:9px; font-style:italic">
            One link per line<br />
            e.g. http://www.youtube.com/watch?v=dQw4w9WgXcQ
            </div>
        </td>
    </tr>
    </table>
</fieldset>

<div id="button-area">
<asp:Button ID="btnSave" runat="server" CssClass="button" Text="Save playlist" 
        OnClientClick="return confirm('Save existing playlist ?');" 
        onclick="btnSave_Click" />

<asp:Button ID="btnAdd" style="margin:0 10px" runat="server" CssClass="button" 
        Text="Add playlist" OnClientClick="return confirm('Add new playlist ?');" 
        onclick="btnAdd_Click" />

<asp:Button ID="btnDelete" runat="server" CssClass="button" Text="Delete playlist" 
        OnClientClick="return confirm('Delete playlist ?');" 
        onclick="btnDelete_Click" />
</div>