﻿<%@ control language="C#" autoeventwireup="true" inherits="widgets_ContactDetail, App_Web_1fqpr245" %>

<%@ Register src="ArticlePresenter.ascx" tagname="ArticlePresenter" tagprefix="uc" %>

<asp:PlaceHolder ID="phContactDetail" runat="server">
<div id="contact-detail">

    <asp:PlaceHolder ID="phImage" runat="server">
    <div id="contact-picture">
        <asp:Literal ID="litPicture" runat="server"><img src="{0}" alt="{1}" /></asp:Literal>
    </div>
    </asp:PlaceHolder>

    <div id="contact-details-holder">
        <h2><asp:Literal ID="litName" runat="server"></asp:Literal></h2>
        <div id="contact-position"><asp:Literal ID="litPosition" runat="server"></asp:Literal></div>

        <div id="contact-info">
            <div id="contact-details">
            <asp:Literal ID="litContact" runat="server">
            </asp:Literal>
            </div>

            
            <asp:PlaceHolder ID="phOther" runat="server">
            <div id="contact-other">
            <uc:ArticlePresenter runat="server" ID="otherInfo" />
            </div>
            </asp:PlaceHolder>

        </div>

        <asp:UpdatePanel ID="contact_contactform" ClientIDMode="Static" RenderMode="Block" runat="server">
        <ContentTemplate>
            <label><asp:Literal ID="litFormName" runat="server">Name</asp:Literal></label>
            <asp:TextBox ID="contact_form_name" runat="server" ClientIDMode="Static" CssClass="textbox" MaxLength="50"></asp:TextBox>

            <label><asp:Literal ID="litFormEmail" runat="server">Your E-mail</asp:Literal></label>
            <asp:TextBox ID="contact_form_email" runat="server" ClientIDMode="Static" CssClass="textbox" MaxLength="50"></asp:TextBox>

            <label><asp:Literal ID="litFormSubject" runat="server">Message subject</asp:Literal></label>
            <asp:TextBox ID="contact_form_subject" runat="server" ClientIDMode="Static" CssClass="textbox" MaxLength="50"></asp:TextBox>

            <label><asp:Literal ID="litFormMessage" runat="server">Message</asp:Literal></label>
            <asp:TextBox ID="contact_form_message" runat="server" ClientIDMode="Static" CssClass="textbox" TextMode="MultiLine"></asp:TextBox>

            <asp:Button ID="contact_form_submit" runat="server" ClientIDMode="Static" 
                    CssClass="button" Text="Send" onclick="contact_form_submit_Click" />
        </ContentTemplate>
        </asp:UpdatePanel>
    </div>

    <div style="clear:both; overflow:hidden; height:1px"></div>
</div>
</asp:PlaceHolder>

