﻿<%@ control language="C#" autoeventwireup="true" inherits="widgets_DownloadFiles, App_Web_yfhuohop" %>

<asp:PlaceHolder ID="phFiles" runat="server">

<asp:UpdatePanel runat="server" ID="updPnl">
<ContentTemplate>

<asp:Repeater ID="repdlFiles" runat="server" 
    onitemcommand="repdlFiles_ItemCommand" 
    onitemdatabound="repdlFiles_ItemDataBound">

<HeaderTemplate>
<table border="1" cellpadding="0" cellspacing="0" class="download-files-table">
<%if (RenderHeader) { %>
<tr class="header">

<%if (RenderFileIcon) { %>
    <th style="width:16px" class="icon"></th>
<%} %>

<th class="filename" ><asp:LinkButton ID="LinkButton1" runat="server" Text="Filename" CommandName="sort" CommandArgument="filename" ></asp:LinkButton></th>

<%if (RenderFileType) { %>
    <th class="filetype"><asp:LinkButton ID="LinkButton2" runat="server" Text="Type" CommandName="sort" CommandArgument="filetype"></asp:LinkButton></th>
<%} %>

<%if (RenderFileSize) { %>
    <th class="filesize"><asp:LinkButton ID="LinkButton3" runat="server" Text="Size" CommandName="sort" CommandArgument="filesize"></asp:LinkButton></th>
<%} %>

<%if (RenderFileDate) { %>
    <th class="filedate"><asp:LinkButton ID="LinkButton4" runat="server" Text="Date" CommandName="sort" CommandArgument="filedate"></asp:LinkButton></th>
<%} %>

</tr>
<%} %>
</HeaderTemplate>

<ItemTemplate>
<tr>

<%if (RenderFileIcon) { %>
    <td style="width:16px" class="icon"><img src='images/icons/<%#Eval("icon").ToString().Trim() %>' alt="" /></td>
<%} %>

<td class="filename"><a href='<%#Eval("download_path") %>' target="_blank"><%#Server.HtmlEncode(Eval("filename").ToString().Trim())%></a></td>
<%if (RenderFileType) { %>
    <td class="filetype"><%#Server.HtmlEncode(Eval("filetype").ToString().Trim()) %></td>
<%} %>

<%if (RenderFileSize) { %>
    <td class="filesize"><%#Server.HtmlEncode(Eval("filesize").ToString().Trim()) %></td>
<%} %>

<%if (RenderFileDate) { %>
    <td class="filedate"><%#Server.HtmlEncode(Eval("filedate").ToString().Trim()) %></td>
<%} %>

</tr>
</ItemTemplate>

<AlternatingItemTemplate>
<tr class="alternate">

<%if (RenderFileIcon) { %>
    <td style="width:16px" class="icon"><img src='images/icons/<%#Eval("icon").ToString().Trim() %>' alt="" /></td>
<%} %>

<td class="filename"><a href='<%#Eval("download_path") %>' target="_blank"><%#Server.HtmlEncode(Eval("filename").ToString().Trim())%></a></td>
<%if (RenderFileType) { %>
    <td class="filetype"><%#Server.HtmlEncode(Eval("filetype").ToString().Trim()) %></td>
<%} %>

<%if (RenderFileSize) { %>
    <td class="filesize"><%#Server.HtmlEncode(Eval("filesize").ToString().Trim()) %></td>
<%} %>

<%if (RenderFileDate) { %>
    <td class="filedate"><%#Server.HtmlEncode(Eval("filedate").ToString().Trim()) %></td>
<%} %>

</tr>
</tr>
</AlternatingItemTemplate>

<FooterTemplate>
</table>
</FooterTemplate>
</asp:Repeater>

</ContentTemplate>
</asp:UpdatePanel>

</asp:PlaceHolder>