﻿<%@ control language="C#" autoeventwireup="true" inherits="z_admin_modules_AppInstall, App_Web_n5yan1p0" %>

<fieldset>
<legend>SQL Database Info</legend>

<table class="sections-table">
<tr>
    <td class="section-title" style="width:120px">Server</td>
    <td class="section-content"><asp:TextBox ID="tbServer" runat="server" CssClass="textbox" ></asp:TextBox></td>
</tr>

<tr>
    <td class="section-title">Database</td>
    <td class="section-content"><asp:TextBox ID="tbDatabase" runat="server" CssClass="textbox" Text="zadminCMS"></asp:TextBox>&nbsp;<i style="font-size:9px">Must point to <b>existing</b>, empty database</i></td>
</tr>

<tr>
    <td class="section-title">Login name</td>
    <td class="section-content"><asp:TextBox ID="tbUserID" runat="server" CssClass="textbox"></asp:TextBox></td>
</tr>

<tr>
    <td class="section-title">Login password</td>
    <td class="section-content"><asp:TextBox ID="tbPassword" runat="server" CssClass="textbox" TextMode="Password"></asp:TextBox></td>
</tr>
<tr>
    <td class="section-title" valign="top">
    Manual
    </td>
    <td class="section-content">
        <asp:CheckBox ID="cbManual" runat="server" Text="Manually add Connection String" AutoPostBack="true" />
        <div style="margin-top:5px">
        <asp:TextBox ID="tbConnStr" runat="server" CssClass="textbox" TextMode="MultiLine" Rows="3"></asp:TextBox>
        </div>
    </td>
</tr>

</table>

<div class="info-area">
Please enter location and login information for <strong>SQL Server 2005 or 2008</strong> database.
</div>

</fieldset>

<fieldset>
    <legend>Z-Admin Administrator account</legend>

    
<table class="sections-table">
<tr>
    <td class="section-title" style="width:120px">Username</td>
    <td class="section-content"><asp:TextBox ID="tbAdminUsername" runat="server" CssClass="textbox"></asp:TextBox></td>
</tr>

<tr>
    <td class="section-title">Password</td>
    <td class="section-content"><asp:TextBox ID="tbAdminPassword" runat="server" CssClass="textbox" TextMode="Password"></asp:TextBox></td>
</tr>

<tr>
    <td class="section-title">Confirm Password</td>
    <td class="section-content"><asp:TextBox ID="tbAdminPassword2" runat="server" CssClass="textbox" TextMode="Password"></asp:TextBox></td>
</tr>

<tr>
    <td class="section-title">First name</td>
    <td class="section-content"><asp:TextBox ID="tbFirstName" runat="server" CssClass="textbox"></asp:TextBox></td>
</tr>

<tr>
    <td class="section-title">Last name</td>
    <td class="section-content"><asp:TextBox ID="tbLastName" runat="server" CssClass="textbox"></asp:TextBox></td>
</tr>
</table>

<div class="info-area">
Administrator account is full priviledged user. You cannot delete or change this user. 
</div>

</fieldset>



<div id="button-area">
    
    <asp:Button id="btnInstall" runat="server" Text="Install" CssClass="button" 
        OnClientClick="return confirm('Please confirm you want to install z-admin CMS.');" 
        onclick="btnInstall_Click" />


    


</div>

<div class="info-area">
Warning! Prior installation please ensure your web application is <strong>not read only and has write permissions</strong>. Also, please ensure account <strong>IIS_IUSR has write and modify permissions on whole web application</strong>.
</div>