﻿<%@ control language="C#" autoeventwireup="true" inherits="z_admin_modules_ArticlesList, App_Web_n5yan1p0" %>

<fieldset>
    <legend>Existing Article Lists</legend>

    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:150px">
        List Name
    </td>
    <td class="section-title">
        <asp:DropDownList ID="ddlArticlesList" runat="server" CssClass="textbox" 
            AutoPostBack="true" 
            onselectedindexchanged="ddlArticlesList_SelectedIndexChanged"></asp:DropDownList>
    </td>
    </tr>
    </table>

</fieldset>

<fieldset>
    <legend>Articles List properties</legend>

    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:150px">
        List Name
    </td>
    <td class="section-content">
        
        <asp:TextBox ID="tbName" runat="server" MaxLength="50" CssClass="textbox"></asp:TextBox>

    </td>
    </tr>

    <tr>
    <td class="section-title" valign="top">
        Column
    </td>
    <td class="section-content">
        
        <asp:ListBox ID="lbColumns" runat="server" CssClass="textbox" 
            SelectionMode="Multiple">
            <asp:ListItem>All Columns</asp:ListItem>
        </asp:ListBox>

    </td>
    </tr>

    <tr>
    <td class="section-title">
        # Leading
    </td>
    <td class="section-content">
        
        <asp:TextBox ID="tbLeading" runat="server" MaxLength="2" CssClass="textbox" Width="100px"></asp:TextBox>

    </td>
    </tr>

    <tr>
    <td class="section-title">
        # Intro
    </td>
    <td class="section-content">
        
        <asp:TextBox ID="tbIntro" runat="server" MaxLength="2" CssClass="textbox" Width="100px"></asp:TextBox>

    </td>
    </tr>

    <tr>
    <td class="section-title">
        # Columns
    </td>
    <td class="section-content">
        
        <asp:TextBox ID="tbColumns" runat="server" MaxLength="1" CssClass="textbox" Width="100px"></asp:TextBox>

    </td>
    </tr>

    <tr>
    <td class="section-title">
        # Links
    </td>
    <td class="section-content">
        
        <asp:TextBox ID="tbLinks" runat="server" MaxLength="2" CssClass="textbox" Width="100px"></asp:TextBox>

    </td>
    </tr>

    <tr>
    <td class="section-title">
        Ordering
    </td>
    <td class="section-content">
        
        <asp:DropDownList ID="ddlOrder" runat="server" CssClass="textbox">
            <asp:ListItem Value="DD">Date Descending (default)</asp:ListItem>
            <asp:ListItem Value="DA">Date Ascending</asp:ListItem>
            <asp:ListItem Value="TA">Title Alphabetical</asp:ListItem>
            <asp:ListItem Value="TR">Title Reverse Alphabetical</asp:ListItem>
            <asp:ListItem Value="AA">Author Alphabetical</asp:ListItem>
            <asp:ListItem Value="AR">Author Reverse Alphabetical</asp:ListItem>
            <asp:ListItem Value="MC">Most Clicked First</asp:ListItem>
            <asp:ListItem Value="LC">Least Clicked First</asp:ListItem>
        </asp:DropDownList>

    </td>
    </tr>

    <tr>
    <td class="section-title">
        Show Paging
    </td>
    <td class="section-content">
        
        <asp:CheckBox ID="cbPaging" runat="server" />

    </td>
    </tr>

    <tr>
    <td class="section-title">
        Show Paging results
    </td>
    <td class="section-content">
        
        <asp:CheckBox ID="cbPagingResults" runat="server" />

    </td>
    </tr>

    <tr>
    <td class="section-title">
        Title Visible
    </td>
    <td class="section-content">
        
        <asp:CheckBox ID="cbTitleVisible" runat="server" />

    </td>
    </tr>

    <tr>
    <td class="section-title">
        Title Clickable
    </td>
    <td class="section-content">
        
        <asp:CheckBox ID="cbTitleClickable" runat="server" />

    </td>
    </tr>

    <tr>
    <td class="section-title">
        Show Author
    </td>
    <td class="section-content">
        
        <asp:CheckBox ID="cbShowAuthor" runat="server" />

    </td>
    </tr>

    <tr>
    <td class="section-title">
        Show Date
    </td>
    <td class="section-content">
        
        <asp:CheckBox ID="cbShowDate" runat="server" />

    </td>
    </tr>

    <tr>
    <td class="section-title">
        Show # Hits
    </td>
    <td class="section-content">
        
        <asp:CheckBox ID="cbShowHits" runat="server" />

    </td>
    </tr>

    <tr>
    <td class="section-title">
        # of Hits Text
    </td>
    <td class="section-content">
        
        <asp:TextBox ID="tbHits" runat="server" CssClass="textbox" Width="150px"></asp:TextBox>&nbsp;&nbsp;<i style="font-size:9px">use <strong>##</strong> as keyword (e.g. &quot;Number of clicks: ##&quot;)</i>

    </td>
    </tr>

    <tr>
    <td class="section-title">
        Show &quot;Read More&quot;
    </td>
    <td class="section-content">
        
        <asp:CheckBox ID="cbShowReadMore" runat="server" />

    </td>
    </tr>

    <tr>
    <td class="section-title">
        &quot;Read More&quot; Text
    </td>
    <td class="section-content">
        
        <asp:TextBox ID="tbReadMoreText" runat="server" CssClass="textbox" Width="150px"></asp:TextBox>&nbsp;&nbsp;<i style="font-size:9px">use <strong>##</strong> as keyword (e.g. &quot;Read more: ##&quot;)</i>

    </td>
    </tr>

    </table>

</fieldset>

<div id="button-area">
        
<asp:Button ID="btnSave" runat="server" Text="Save List" CssClass="button" 
        OnClientClick="return confirm('Save existing Articles List ?');" 
        onclick="btnSave_Click" />

<asp:Button ID="btnAdd" runat="server" Text="Add List" style="margin:0 15px" 
        CssClass="button" 
        OnClientClick="return confirm('Add new Articles List ?');" 
        onclick="btnAdd_Click"  />
        
<asp:Button ID="btnDelete" runat="server" Text="Delete List" CssClass="button" 
        OnClientClick="return confirm('Delete Articles List ?');" 
        onclick="btnDelete_Click" />

</div>