﻿<%@ control language="C#" autoeventwireup="true" inherits="z_admin_modules_CustomItems, App_Web_rukn4ma3" %>

<%@ Register Src="~/z-admin/modules/SyntaxHighlighter.ascx" TagName="Highlighter" TagPrefix="uc" %>

<fieldset>
    <legend>Existing Cutom Items</legend>

    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:80px">Name</td>
    <td class="section-content"><asp:DropDownList ID="ddlCustomItems" runat="server" 
            CssClass="textbox" AutoPostBack="true" 
            onselectedindexchanged="ddlCustomItems_SelectedIndexChanged"></asp:DropDownList></td>
    </tr>
    </table>
</fieldset>

<fieldset>
    <legend>Items properties</legend>

    <table class="sections-table">
    <tr>
        <td class="section-title" style="width:80px">Name</td>
        <td class="section-content"><asp:TextBox ID="tbName" runat="server" MaxLength="40" CssClass="textbox"></asp:TextBox></td>
    </tr>
    <tr>
        <td class="section-title">Caching</td>
        <td class="section-content"><asp:DropDownList ID="ddlCache" runat="server" CssClass="textbox">
            <asp:ListItem Value="0">No caching</asp:ListItem>
            <asp:ListItem Value="30">30 seconds</asp:ListItem>
            <asp:ListItem Value="60">1 minute</asp:ListItem>
            <asp:ListItem Value="300">5 minutes</asp:ListItem>
            <asp:ListItem Value="600">10 minutes</asp:ListItem>
            <asp:ListItem Value="900">15 minutes</asp:ListItem>
            <asp:ListItem Value="1800">30 minutes</asp:ListItem>
            <asp:ListItem Value="3600">1 hour</asp:ListItem>
            <asp:ListItem Value="7200">2 hours</asp:ListItem>
            </asp:DropDownList></td>
    </tr>
    </table>

</fieldset>

<script type="text/javascript">

    $(document).ready(function () {

        $("#tabs").tabs();

    });

</script>

<div id="tabs">
    <ul>
	    <li><a href="#theader">Header</a></li>
	    <li><a href="#tfooter">Footer</a></li>
	    <li><a href="#titem">Item</a></li>
	    <li><a href="#taltitem">Alternating Item</a></li>
	    <li><a href="#tseparator">Separator</a></li>
	    <li><a href="#tusing">USING clause</a></li>
	    <li><a href="#tcode">Code</a></li>
    </ul>

    <div id="theader">
        <uc:Highlighter runat="server" ID="tbHeader" Hightlighter="html" LineNumbers="false" />
    </div>

    <div id="tfooter">
        <uc:Highlighter runat="server" ID="tbFooter" Hightlighter="html" LineNumbers="false" />
    </div>

    <div id="titem">
        <uc:Highlighter runat="server" ID="tbItem" Hightlighter="html" LineNumbers="false" />
    </div>

    <div id="taltitem">
        <uc:Highlighter runat="server" ID="tbAltItem" Hightlighter="html" LineNumbers="false" />
    </div>

    <div id="tseparator">
        <uc:Highlighter runat="server" ID="tbSeparator" Hightlighter="html" LineNumbers="false" />
    </div>

    <div id="tusing">
        <uc:Highlighter runat="server" ID="tbUsing" Hightlighter="csharp" LineNumbers="true" />
    </div>

    <div id="tcode">
        <uc:Highlighter runat="server" ID="tbCode" Hightlighter="csharp" LineNumbers="true" />
    </div>

</div>

<div id="button-area">

<asp:Button ID="btnSave" runat="server" Text="Save Items" CssClass="button" 
OnClientClick="return confirm('Save changes on selected Items ?');" 
        onclick="btnSave_Click" />

<asp:Button ID="btnAdd" runat="server" Text="Add new Items" style="margin:0 15px" 
        CssClass="button" OnClientClick="return confirm('Add new Items ?');" 
        onclick="btnAdd_Click" />
        
<asp:Button ID="btnDelete" runat="server" Text="Delete Items" CssClass="button" 
        OnClientClick="return confirm('Delete selected Items ?');" 
        onclick="btnDelete_Click" />

<asp:Button ID="btnPreview" runat="server" Text="Preview Items" CssClass="button" 
        style="margin:0 15px" onclick="btnPreview_Click" />

</div>
