﻿<%@ control language="C#" autoeventwireup="true" inherits="z_admin_modules_CustomPages, App_Web_rukn4ma3" %>

<%@ Register src="RichTextBox.ascx" tagname="RichTextBox" tagprefix="uc" %>

<asp:PlaceHolder ID="phNothing" Visible="false" runat="server">
<h5>Stvorene stranice</h5>
<table border="0">
<tr>
<td valign="middle" style="vertical-align:middle">
<asp:DropDownList ID="ddlPages" runat="server" CssClass="textbox" Width="300px" 
    AutoPostBack="true" onselectedindexchanged="ddlPages_SelectedIndexChanged"></asp:DropDownList>        
</td>

</tr>
</table>
</asp:PlaceHolder>

<fieldset>
    <legend>User Page properties</legend>
    
    <table class="sections-table">
    <tr>
    <td class="section-title">Title</td>
    <td class="section-content">
        <asp:TextBox ID="tboxTitle" runat="server" CssClass="textbox" MaxLength="50"></asp:TextBox>
    </td>
    </tr>
    <tr>
    <td class="section-title">Show Title</td>
    <td class="section-content"><asp:CheckBox ID="cbShowTitle" runat="server" /></td>
    </tr>
    
    <tr>
    <td class="section-title">URL Alias</td>
    <td class="section-content">
        <asp:TextBox ID="tboxURLName" runat="server" CssClass="textbox" MaxLength="200" style="text-transform:lowercase"></asp:TextBox>&nbsp;&nbsp;<i style="font-size:9px">Must be UNIQUE, URL friendly name</i>
    </td>
    </tr>

    <tr>
    <td class="section-title">Template</td>
    <td class="section-content"><asp:DropDownList ID="ddlTemplate" runat="server" CssClass="textbox"></asp:DropDownList></td>
    </tr>

    <tr>
    <td class="section-title">Allow Page to</td>
    <td class="section-content">
    
        <asp:DropDownList ID="ddlPermissions" runat="server" CssClass="textbox"></asp:DropDownList>

    </td>
    </tr>

    <tr>
    <td class="section-title">Order number</td>
    <td class="section-content"><asp:TextBox ID="tbOrderID" runat="server" CssClass="textbox" MaxLength="30" style="text-transform:lowercase"></asp:TextBox>&nbsp;&nbsp;(optional value)</td>
    </tr>
    <tr>
    <td class="section-title">Group name</td>
    <td class="section-content"><asp:TextBox ID="tbGroupName" runat="server" CssClass="textbox" MaxLength="50"></asp:TextBox>&nbsp;&nbsp;(optional value)</td>
    </tr>
    </table>
</fieldset>


<fieldset>
<legend>Content</legend>

<uc:RichTextBox ID="tboxText" runat="server" />

</fieldset>

        
<div id="button-area">
        
<asp:Button ID="btnSave" runat="server" Text="Save existing page" CssClass="button" 
        onclick="btnSave_Click"  OnClientClick="return confirm('Save existing page ?');"  />

<asp:Button ID="btnAdd" runat="server" Text="Add new Page" style="margin:0 15px" 
        CssClass="button" onclick="btnAdd_Click"  OnClientClick="return confirm('Add new Page ?');"  />
        
<asp:Button ID="btnDelete" runat="server" Text="Delete Page" CssClass="button" 
        onclick="btnDelete_Click" OnClientClick="return confirm('Delete User Page ?');"  />

</div>   

