﻿<%@ control language="C#" autoeventwireup="true" inherits="z_admin_modules_ModuleManager, App_Web_n5yan1p0" %>

<fieldset>
    <legend>Available modules</legend>

    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:110px">Module</td>
    <td class="section-content">
    
<asp:DropDownList ID="ddlModules" runat="server" CssClass="textbox"  
    AutoPostBack="true" onselectedindexchanged="ddlModules_SelectedIndexChanged"/>

    </td>
    </tr>
    </table>

</fieldset>

<fieldset>
    <legend>Module properties</legend>

    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:110px">Module name</td>
    <td class="section-content">
        <asp:TextBox ID="tbModuleName" runat="server" CssClass="textbox" MaxLength="50" />
    </td>
    </tr>
    <tr>
    <td class="section-title" valign="top">
    Module description
    </td>
    <td class="section-content">
    
        <asp:TextBox ID="tbDescription" runat="server" CssClass="textbox" Rows="4" TextMode="MultiLine" />

    </td>
    </tr>
    <tr>
    <td class="section-title">ASCX file</td>
    <td class="section-content">
    
    <table border="0" cellpadding="0" cellspacing="0">
<tr>
<td valign="middle">
    <asp:DropDownList ID="ddlAscx" runat="server" CssClass="textbox" AutoPostBack="true" onselectedindexchanged="ddlAscx_SelectedIndexChanged"></asp:DropDownList>

</td>
<td style="padding-left:5px" valign="middle">
    <a href="#" onclick="$('#upload-module-form').dialog('destroy'); $('#upload-module-form').dialog({resizable: false, draggable: false, modal: true, width: 400, height: 280, title: 'Upload module' }); return false;"><img src="icons/upload.png" alt="" title="Upload module" /></a>
</td>
<td style="padding-left:5px" valign="middle">
    <asp:ImageButton ID="btnDelModule" runat="server" 
        ImageUrl="~/z-admin/icons/20x20/delete.png" ToolTip="Delete ASCX file" 
        OnClientClick="return confirm('Delete ASCX file ?');" 
        onclick="btnDelModule_Click" />
</td>

</tr>
</table>

    </td>
    </tr>
    </table>
</fieldset>


<iframe src="modules/UploadModule.aspx" style="height:150px; display:none; width:400px" frameborder="0" id="upload-module-form">
</iframe>

<fieldset id="fsModulePreview" runat="server">
<legend>Module preview</legend>

<iframe src="modules/ModulePreview.aspx" runat="server" id="moduleFrame" frameborder="0" style="width:99%; height:450px">

</iframe>

</fieldset>

<asp:Literal ID="litInfoArea" runat="server">
<div class="info-area">
After you are satisfied with module properties, please click on &quot;Use this settings&quot; button prior to clicking &quot;Save changes&quot; / &quot;Add Module&quot; button.
</div>
</asp:Literal>


<script language="javascript" type="text/javascript">

    function bindModules() {

        var buttonToClick = '<%=btnBindModules.UniqueID %>';

        __doPostBack(buttonToClick, "");

    }

</script>


<div id="button-area">
        
<asp:Button ID="btnSave" runat="server" Text="Save changes" CssClass="button" 
        onclick="btnSave_Click" OnClientClick="return confirm('Save existing module ?\n\nNote, if there is configuration window in [Module Preview] area - please click button [Use this settings] prior to clicking this button.');"  />

<asp:Button ID="btnAdd" runat="server" Text="Add new module" style="margin:0 15px" 
        CssClass="button" onclick="btnAdd_Click" OnClientClick="return confirm('Add new mdule ?\n\nNote, if there is configuration window in [Module Preview] area - please click button [Use this settings] prior to clicking this button.');" />
        
<asp:Button ID="btnDelete" runat="server" Text="Delete module" CssClass="button" style="margin:0 15px 0 0"  
        OnClientClick="return confirm('Delete module ?');" 
        onclick="btnDelete_Click" />

<asp:Button ID="btnDeleteAll" runat="server" Text="Delete module and ASCX file" CssClass="button" 

        OnClientClick="return confirm('Delete module and ASCX file ?');" 
        onclick="btnDeleteAll_Click" />


        <asp:Button ID="btnBindModules" runat="server" style="display:none"
        onclick="btnBindModules_Click" />


</div>   
