﻿<%@ control language="C#" autoeventwireup="true" inherits="z_admin_modules_MultiLevelMenus, App_Web_rukn4ma3" %>

<%@ Register Assembly="ASTreeView" Namespace="Geekees.Common.Controls" TagPrefix="ct" %>
<%@ Register src="RichTextBox.ascx" tagname="RichTextBox" tagprefix="uc" %>


<div style="float:left; overflow:auto;">

<fieldset style="padding-right:10px">
<legend>Pages Structure</legend>


    <ct:ASTreeView runat="server" ID="MainMenu"
        AutoPostBack="True" BasePath="~/z-admin/astreeview/" EnableCheckbox="False" 
        EnableRoot="False" 
        ImgCheckboxChecked="~/z-admin/astreeview/images/astreeview-checkbox-checked.gif" 
        ImgCheckboxHalfChecked="~/z-admin/astreeview/images/astreeview-checkbox-half-checked.gif" 
    
        ImgCheckboxUnchecked="~/z-admin/astreeview/images/astreeview-checkbox-unchecked.gif" 
        EnableContextMenu="false" EnableTheme="False" 
        EnableCustomizedNodeIcon="True" 
        EnableOnNodeDragAndDropCompletingScriptReturn="True" 
        ononselectednodechanged="MainMenu_OnSelectedNodeChanged"  />


</fieldset>


</div>


<div style="float:left; padding-left:10px">


<fieldset>
<legend>Page Properties</legend>

<table class="sections-table">
<tr>
    <td class="section-title" style="width:100px">Menu Title</td>
    <td class="section-content"><asp:TextBox ID="tboxTitle" runat="server" CssClass="textbox" MaxLength="50"></asp:TextBox></td>
</tr>
<tr>
    <td class="section-title">URL Alias</td>
    <td class="section-content"><asp:TextBox ID="tboxURLName" runat="server" 
            CssClass="textbox" MaxLength="200" style="text-transform:lowercase"></asp:TextBox>&nbsp;&nbsp;<i style="font-size:9px">(must be unique, URL friendly text)</i></td>
</tr>
<tr>
    <td class="section-title">Long Title</td>
    <td class="section-content"><asp:TextBox ID="tbLongTitle" runat="server" CssClass="textbox" MaxLength="250"></asp:TextBox></td>
</tr>
<tr>
    <td class="section-title">Enable Click</td>
    <td class="section-content">
    
        <asp:CheckBox ID="cbEnableClick" runat="server" />

    </td>
</tr>
<tr>
    <td class="section-title">Redirect to URL</td>
    <td class="section-content">
    
        <table cellpadding="0" cellspacing="0">
        <tr>
        <td style="padding-right:10px"><asp:CheckBox ID="cbRedirect" runat="server" /></td>
        <td>
            <asp:TextBox ID="tbRedirect" CssClass="textbox" Width="270px" MaxLength="2000" runat="server"></asp:TextBox>
        </td>
        </tr>
        </table>
    
    </td>
</tr>
<tr>
    <td class="section-title">Template</td>
    <td class="section-content">
        <asp:DropDownList ID="ddlTemplate" runat="server" CssClass="textbox">
        
        </asp:DropDownList>
    </td>
</tr>
<tr>
    <td class="section-title">Allow Page to</td>
    <td class="section-content">
    
        <asp:DropDownList ID="ddlPermissions" runat="server" CssClass="textbox"></asp:DropDownList>

    </td>
</tr>
</table>

</fieldset>

<fieldset>
    <legend>Page Content</legend>
    <uc:RichTextBox ID="tboxText" runat="server" />
</fieldset>


</div>


<div style="clear:both"></div>

<div class="info-area">
Note, to move page or change it's order, simply <strong>drag-drop page</strong> to desired parent page (or move page above/below). Page will be automatically saved.
</div>


<div id="button-area">
        
<asp:Button ID="btnSave" runat="server" Text="Save existing Page" CssClass="button" 
        OnClientClick="return confirm('Save existing Page ?');" 
        onclick="btnSave_Click"  />

<asp:Button ID="btnAdd" runat="server" Text="Add new Page" style="margin:0 15px" 
        CssClass="button" OnClientClick="return confirm('Add new Page ?');" 
        onclick="btnAdd_Click"  />
        
<asp:Button ID="btnDelete" runat="server" Text="Delete Page" CssClass="button" 
       OnClientClick="return confirm('Delete Page ?\n\n(Child pages will be moved to root)');" 
        onclick="btnDelete_Click"  />

<asp:Button ID="btnDragDrop" runat="server" onclick="btnDragDrop_Click" style="display:none" />

</div>   

