﻿<%@ control language="C#" autoeventwireup="true" inherits="z_admin_modules_WebLinks, App_Web_n5yan1p0" %>

<fieldset>
    <legend>Existing Links</legend>

    <table class="sections-table">
    <tr>
    <td class="section-title" style="width:80px">Link</td>
    <td class="section-content">
    <asp:DropDownList ID="ddlLink" runat="server" CssClass="textbox" 
            AutoPostBack="true" onselectedindexchanged="ddlLink_SelectedIndexChanged"></asp:DropDownList>
    </td>
    </tr>
    </table>

</fieldset>

<fieldset>
    <legend>Link properties</legend>

    <table class="sections-table">
    <tr>
        <td class="section-title" style="width:80px">Title</td>
        <td class="section-content"><asp:TextBox ID="tbTitle" runat="server" CssClass="textbox" MaxLength="100"></asp:TextBox></td>    
    </tr>

    <tr>
        <td class="section-title">URL</td>
        <td class="section-content"><asp:TextBox ID="tbUrl" runat="server" CssClass="textbox" MaxLength="2000"></asp:TextBox></td>    
    </tr>


    <tr>
        <td class="section-title">Active</td>
        <td class="section-content"><asp:CheckBox ID="cbActive" runat="server" /></td>    
    </tr>

    <tr>
        <td class="section-title">Description</td>
        <td class="section-content">
        <asp:TextBox ID="tbDescription" runat="server" CssClass="textbox" TextMode="MultiLine" Rows="3">
        
        </asp:TextBox>
        </td>    
    </tr>

    <tr>
        <td class="section-title">Order</td>
        <td class="section-content"><asp:TextBox ID="tbOrder" runat="server" CssClass="textbox" MaxLength="3" Width="100"></asp:TextBox></td>    
    </tr>

    <tr>
        <td class="section-title">Thumbnail</td>
        <td class="section-content">
           <asp:DropDownList ID="ddlThumbnail" runat="server" CssClass="textbox">
               <asp:ListItem Value="none">None</asp:ListItem>
               <asp:ListItem Value="favicon">Get from URL (favicon)</asp:ListItem>
               <asp:ListItem Value="default">Default (Images/DefaultFavicon.png)</asp:ListItem>
            </asp:DropDownList>
        </td>    
    </tr>

    <tr>
        <td class="section-title">Clicks</td>
        <td class="section-content" valign="middle">
        <strong style="padding-right:10px">
        <asp:Literal ID="litClicks" runat="server"></asp:Literal>
        </strong>

        <asp:Button ID="btnResetClick" runat="server" CssClass="button" Text="Reset" 
                OnClientClick="return confirm('Set number of Link clicks to zero ?');" 
                onclick="btnResetClick_Click" />



        </td>    
    </tr>

    </table>

</fieldset>

<div id="button-area">

    <asp:Button ID="btnSave" runat="server" CssClass="button" Text="Save Link" 
        OnClientClick="return confirm('Save Web Link ?');" 
        onclick="btnSave_Click"  />

    <asp:Button ID="btnAdd" runat="server" CssClass="button" Text="Add Link" 
        OnClientClick="return confirm('Add Web Link ?');" 
        style="margin:0 10px" onclick="btnAdd_Click" />
    
    <asp:Button ID="btnDelete" runat="server" CssClass="button" 
        Text="Delete Link" 
        OnClientClick="return confirm('Delete Web Link ?');" 
        onclick="btnDelete_Click" />



</div>